GNU bug report logs - #44612
Read standard input in `guix repl'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Pierre Neidhardt <mail@HIDDEN>; Keywords: notabug; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 3 Dec 2020 10:22:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 03 05:22:28 2020
Received: from localhost ([127.0.0.1]:38494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kklkp-0000KH-TG
	for submit <at> debbugs.gnu.org; Thu, 03 Dec 2020 05:22:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kklko-0000K4-04
 for 44612 <at> debbugs.gnu.org; Thu, 03 Dec 2020 05:22:26 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40751)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kklkf-0007DW-Ao; Thu, 03 Dec 2020 05:22:20 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=49240 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kklkd-000892-Rh; Thu, 03 Dec 2020 05:22:16 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <875z5mj73x.fsf@HIDDEN>
 <87k0u2rkt6.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 13 Frimaire an 229 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 03 Dec 2020 11:22:14 +0100
In-Reply-To: <87k0u2rkt6.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Tue, 01 Dec 2020 09:29:25 +0100")
Message-ID: <87zh2vgpex.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: 44612
Cc: 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

Hi Pierre!

Pierre Neidhardt <mail@HIDDEN> skribis:

> Indeed, it works perfectly now, I've implemented your suggestions and
> Nyxt is now running a "guix repl server" to which it sends all the
> requests.  It's awesome! :)
>
> The only issue remaining is the weird behaviour that one has to pass
> /dev/stdin to get rid of the welcome message:
>
> echo '(display "Hi.\n")' | guix repl /dev/stdin

As discussed earlier, I think you should use =E2=80=98-t machine=E2=80=99, =
which doesn=E2=80=99t
have the welcome message.  =E2=80=98-t guile=E2=80=99 (the default) is mean=
t for humans,
not for inter-process communication.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 1 Dec 2020 08:29:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 01 03:29:34 2020
Received: from localhost ([127.0.0.1]:57677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kk12U-0002rN-Gp
	for submit <at> debbugs.gnu.org; Tue, 01 Dec 2020 03:29:34 -0500
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:44037)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kk12T-0002r7-6D
 for 44612 <at> debbugs.gnu.org; Tue, 01 Dec 2020 03:29:33 -0500
X-Originating-IP: 90.92.160.122
Received: from mimimi (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 6BA3360009;
 Tue,  1 Dec 2020 08:29:26 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <875z5mj73x.fsf@HIDDEN>
References: <87h7ptzj8t.fsf@HIDDEN> <875z5mj73x.fsf@HIDDEN>
Date: Tue, 01 Dec 2020 09:29:25 +0100
Message-ID: <87k0u2rkt6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 44612
Cc: 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--=-=-=
Content-Type: text/plain

Indeed, it works perfectly now, I've implemented your suggestions and
Nyxt is now running a "guix repl server" to which it sends all the
requests.  It's awesome! :)

The only issue remaining is the weird behaviour that one has to pass
/dev/stdin to get rid of the welcome message:

echo '(display "Hi.\n")' | guix repl /dev/stdin


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl/F/uUSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/jn8H/1azkq9o934fuiBjN5xMPLaqEa/om712
Eynt45/ZyNUOUs4vzUWscKrfazpukPBoNTeB5l4u/YpOLS4hglh9U+rbTooJWyQn
A2G4d09b/4PaPyM9hSa5MHwjBwvIMs/zpE9109aa0Z4TaGl8Hc7aOUR5ly2Lr9nN
Bhk4k4VlA6bF2Nb9zNmUX9K6OkT+pEe2JoHJVbm3O1PYlJ7p1p5cQt+9MwvsD4z5
Fti2xG4AANXL842+IIizwQrVxSr0073Og2a0zII06fm8iz/HrX7K99p8DdBT2QOT
EuTDMHQgxnLeksBAoUdYAVY+4K3mL/EF9gmmy0yALOH7l510ZX3JhQk=
=JLmx
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.
bug closed, send any further explanations to 44612 <at> debbugs.gnu.org and Pierre Neidhardt <mail@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 1 Dec 2020 07:52:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 01 02:52:44 2020
Received: from localhost ([127.0.0.1]:57641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kk0Sq-0008Kn-AX
	for submit <at> debbugs.gnu.org; Tue, 01 Dec 2020 02:52:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kk0So-0008KZ-MC
 for 44612 <at> debbugs.gnu.org; Tue, 01 Dec 2020 02:52:42 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49745)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kk0Si-0005qW-LY; Tue, 01 Dec 2020 02:52:36 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=43982 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kk0Si-0007lV-5P; Tue, 01 Dec 2020 02:52:36 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN>
Date: Tue, 01 Dec 2020 08:52:34 +0100
In-Reply-To: <87h7ptzj8t.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Fri, 13 Nov 2020 10:41:38 +0100")
Message-ID: <875z5mj73x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44612
Cc: 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi!

Pierre Neidhardt <mail@HIDDEN> skribis:

> It'd be better if we could send Guile code to the standard input of the
> `guix repl -` process to bypass file generation.

I think the thread derailed a bit, but in the end, this is already
possible, in particular with =E2=80=98guix repl -t machine=E2=80=99 (design=
ed for this
purpose).

I=E2=80=99m closing, but we can always open a new issue if the need arises.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 16 Nov 2020 16:11:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 11:11:58 2020
Received: from localhost ([127.0.0.1]:56844 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1keh6k-00024X-9e
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 11:11:58 -0500
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:40313)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1keh6i-00023q-1X
 for 44612 <at> debbugs.gnu.org; Mon, 16 Nov 2020 11:11:57 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 071F2E000F;
 Mon, 16 Nov 2020 16:11:48 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87h7ppxy48.fsf@HIDDEN>
References: <87h7ptzj8t.fsf@HIDDEN> <20201113190830.GA2995@LionPure>
 <87blfx1wmf.fsf@HIDDEN> <87wnylbkkd.fsf@HIDDEN>
 <87h7ppxy48.fsf@HIDDEN>
Date: Mon, 16 Nov 2020 17:11:43 +0100
Message-ID: <87a6vhb7sw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Perfect,
 thanks for the feedback! -- Pierre Neidhardt https://ambrevar.xyz/
 Content analysis details:   (2.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.196 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 44612
Cc: 44612 <at> debbugs.gnu.org, Bengt Richter <bokr@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Perfect, thanks for the feedback! -- Pierre Neidhardt https://ambrevar.xyz/
    
 
 Content analysis details:   (2.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.196 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Perfect, thanks for the feedback!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+ypL8SHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/w8EIAKX3iyoYZgmWuuMNLo337wJdb7nv1CRS
52jVH+dh/1+9PB1iNwP3e5gTTc785ZswCQFUZvWn7rS5YwoXlRq6QlkcJOAhiKVe
Rhnk2EVjiDalKjXsC4QC7SRlikB/Dvp5kTMwmglfdqeebzGT/WaQMHCJdD6yQ7Mv
T7PfiYhBYC8EjnUbDqvoEmYIh+jyN6pWrm5GC0iIX5pzu9EysupWY1ZXkKRZG7j1
vtVz31mk1bNQ1a5u+NbE1vMiNLA/ka7jVeFEa8kLa0dlOSGFq3c25KmoPiR6h79z
ZNPj2eT4a63CNYDHjfZDCgy3FYteQb1ku3dGQM4ppYMKEVRli1sY0Rk=
=Jmnu
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 16 Nov 2020 12:52:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 07:52:37 2020
Received: from localhost ([127.0.0.1]:55346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kedzo-0002bl-VI
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 07:52:37 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35764)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kedzj-0002bQ-Ol
 for 44612 <at> debbugs.gnu.org; Mon, 16 Nov 2020 07:52:35 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33150)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kedze-0004Yj-9M; Mon, 16 Nov 2020 07:52:26 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=47792 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kedzd-00031K-MR; Mon, 16 Nov 2020 07:52:26 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <20201113190830.GA2995@LionPure>
 <87blfx1wmf.fsf@HIDDEN> <87wnylbkkd.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 26 Brumaire an 229 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 16 Nov 2020 13:52:23 +0100
In-Reply-To: <87wnylbkkd.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Mon, 16 Nov 2020 12:36:02 +0100")
Message-ID: <87h7ppxy48.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 44612
Cc: 44612 <at> debbugs.gnu.org, Bengt Richter <bokr@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

Hi,

Pierre Neidhardt <mail@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> Hi,
>>
>> Bengt Richter <bokr@HIDDEN> skribis:
>>
>>> On +2020-11-13 10:41:38 +0100, Pierre Neidhardt wrote:
>>>> `guix repl` is a fantastic, hassle-free tool to bind Guix with
>>>> third-party languages.  I've done it here:
>>>>=20
>>>> https://github.com/atlas-engineer/nyxt/blob/2-pre-release-4/libraries/=
ospama/ospama-guix.lisp
>>
>> I recommend using =E2=80=98guix repl -t machine=E2=80=99
>
> Looks like `-t machine` has the same issue.
> This does what I want:
>
> $ echo "(display \"Hi.\\n\")" | guix repl -t machine /dev/stdin
> Hi.
>
>
> This does not:
>
> $ echo "(display \"Hi.\\n\")" | guix repl -t machine=20=20
> (repl-version 0 1 1)
> Hi.
> (values (non-self-quoting 2052 "#<unspecified>"))

The general idea is that the REPL protocol allows you to offload
computations to the =E2=80=98guix repl=E2=80=99 process and to read the res=
ult of those
computations.  Side effects such as writing to stdout are not treated,
but they=E2=80=99re mostly beyond the scope of =E2=80=98guix repl=E2=80=99.

>> and keeping the REPL process around instead of respawning it for every
>> expression.
>
> At first glance, we would want to do this indeed.
>
> But in the case of Nyxt, there would be no point when to terminate the
> process, so it would be around for the whole time Nyxt is running, which
> may not be desirable.

I think it=E2=80=99s desirable since it saves on CPU costs.

> Alternatively, I could simply keep it alive for a given duration (1
> minute?) and automatically spawn it if the process is dead.

Yes, that=E2=80=99s a reasonable tradeoff.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 16 Nov 2020 11:55:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 06:55:11 2020
Received: from localhost ([127.0.0.1]:55296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ked6E-0007Xn-DB
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 06:55:11 -0500
Received: from mail-wm1-f44.google.com ([209.85.128.44]:54870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kecwx-0005h2-3X
 for 44612 <at> debbugs.gnu.org; Mon, 16 Nov 2020 06:45:36 -0500
Received: by mail-wm1-f44.google.com with SMTP id d142so23443132wmd.4
 for <44612 <at> debbugs.gnu.org>; Mon, 16 Nov 2020 03:45:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=+q2QoJNErWK91T2BYVfY+/blsoSz2TAK7639o9hoMto=;
 b=XzwC0XNdCaSvO/m6+97HiY22AAiZv6tVEcQ7PWKLJ8YJ2nWe/JhZVKFV7+a0TIWeMD
 WQf2BM+FDydt7ePBrvBK3FnCY5Y4gT33JVXnnPQE9gqE7VTSXFFKI2dfMQ3VkPjy/qxa
 Jb+oo/40Y1/lxuGD94SEGwPAJQEkx3xQYuhKTTmBHg0jqc/JqODfR+WKz6Nc/sEqAFYp
 ReM6PeGhNoDQpjvGMYGZRTiG36T6tMtMh1wzjIfhJkXA+MgTIHsHI2ly5SIazTgQpjRC
 zcL0ZsqfufRMBQNirhvN2EBDMB0G0h0AaKwdkulmIfurGHftsRhjPHTelRojaHBjmrii
 2WCQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=+q2QoJNErWK91T2BYVfY+/blsoSz2TAK7639o9hoMto=;
 b=UUOdeC6nsEOpT92Wh/eirXYEWQZu/HjkuWZn/JsXNbbGyycVxSchIYv4rqPOjcvFNc
 AEyuYQE5mr+Qw8XjC1sQgMcvPWVpECgxEs/wNk0/QNJqJTu6UcWineEp3OZEDAFOgYTp
 Vf2D3dbyaovuBp1Qh9J1pQg6Uu+ITdrEgW6UDCCaCWmksCGc0AziZyMEL8xEVH5R8TXS
 wDeTQCvhtURzTmuF7xuSkQd+uXqg5nDZWF2Ednz7YwC6O1tMbN8PGPt+fE/EcRzxEDfl
 6drtbKGefKhBQiNMYX1v30uSP99KJ9uSgHsypJydcUvF5P9Azosf4OhM75djU1R8pKCn
 b94A==
X-Gm-Message-State: AOAM531aV4JKeYJroS9FbbHUnyw+x8WzgvZlZI30sPN2TRD5KDAF2lsi
 XaPoSxLiR83qp3jig5bsJIDYeyuZoqmt0Q==
X-Google-Smtp-Source: ABdhPJzO6G02f0IwJdWNeiTQuXZ0kHoX6/A8DCUgxcoipKjWtfR169wNLZHJJ54sPIrURZswYagyfA==
X-Received: by 2002:a1c:b70b:: with SMTP id h11mr15951226wmf.185.1605527128749; 
 Mon, 16 Nov 2020 03:45:28 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id c8sm21592609wrv.26.2020.11.16.03.45.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 16 Nov 2020 03:45:28 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87tutpwpey.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
 <87zh3jx6t2.fsf@HIDDEN> <87wnyn532a.fsf@nckx>
 <87pn4fx5v3.fsf@HIDDEN> <87tutr50jo.fsf@nckx>
 <87k0unx3ai.fsf@HIDDEN> <87r1ov4ze1.fsf@nckx>
 <86k0unycww.fsf@HIDDEN> <87tutpwpey.fsf@nckx>
Date: Mon, 16 Nov 2020 12:38:21 +0100
Message-ID: <863619ttua.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44612
Cc: Pierre Neidhardt <mail@HIDDEN>, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Tobias,

On Mon, 16 Nov 2020 at 11:45, Tobias Geerinckx-Rice <me@HIDDEN> wrote:

> What exactly downloads the world?

I have not inspected but I think that=E2=80=99s because a lot of substitutes
missing:

--8<---------------cut here---------------start------------->8---
$ pkgs=3D$(guix time-machine --branch=3Dversion-1.2.0 -- package -A ^sbcl- =
|cut -f1)
$ guix time-machine --branch=3Dversion-1.2.0 -- weather $pkgs
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.or=
g/git/guix.git'...
computing 455 package derivations for x86_64-linux...
looking for 456 store items on https://ci.guix.gnu.org...
updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
https://ci.guix.gnu.org
  71.3% substitutes available (325 out of 456)
  at least 214.4 MiB of nars (compressed)
  431.6 MiB on disk (uncompressed)
  0.008 seconds per request (3.5 seconds in total)
  130.2 requests per second

  0.0% (0 out of 131) of the missing items are queued
  at least 1,000 queued builds
      x86_64-linux: 490 (49.0%)
      i686-linux: 353 (35.3%)
      aarch64-linux: 133 (13.3%)
      armhf-linux: 24 (2.4%)
  build rate: 30.54 builds per hour
      aarch64-linux: 4.21 builds per hour
      i686-linux: 10.14 builds per hour
      x86_64-linux: 11.45 builds per hour
      armhf-linux: 4.73 builds per hour
--8<---------------cut here---------------end--------------->8---

Well, I have not pulled =E2=80=99master=E2=80=99 since a couple of days but=
 should be
the same, I guess.  Yes, it is with f6a42ac:

  72.4% substitutes available (336 out of 464)


All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 16 Nov 2020 11:53:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 06:53:58 2020
Received: from localhost ([127.0.0.1]:55292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ked53-0007VW-M5
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 06:53:58 -0500
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:36233)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ked50-0007VD-Tg
 for 44612 <at> debbugs.gnu.org; Mon, 16 Nov 2020 06:53:56 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 9988720007;
 Mon, 16 Nov 2020 11:53:48 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, Bengt Richter
 <bokr@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87wnylbkkd.fsf@HIDDEN>
References: <87h7ptzj8t.fsf@HIDDEN> <20201113190830.GA2995@LionPure>
 <87blfx1wmf.fsf@HIDDEN> <87wnylbkkd.fsf@HIDDEN>
Date: Mon, 16 Nov 2020 12:53:47 +0100
Message-ID: <87tutpbjqs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  If I understand correctly, "-t machine" is for when we want
 to retrieve the results of all top-level evaluations. If we only want specific
 results, then we are better off "passing" the desired value to the caller
 by dumping them to the standard output. 
 Content analysis details:   (2.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [217.70.183.200 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 44612
Cc: 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  If I understand correctly, "-t machine" is for when we want
    to retrieve the results of all top-level evaluations. If we only want specific
    results, then we are better off "passing" the desired value to the caller
    by dumping them to the standard output. 
 
 Content analysis details:   (2.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [217.70.183.200 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

If I understand correctly, "-t machine" is for when we want to retrieve
the results of all top-level evaluations.

If we only want specific results, then we are better off "passing" the
desired value to the caller by dumping them to the standard output.

For the latter, "-t machine" is not necessary I believe.

Is this correct?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+yaEsSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/q1oIAKaupmfSZqF/apJoaNFk2nHeTPCTicTP
X8Fa0f2xgwanoXb9nxtLcP9sYwl6vlY7o+EOvC7ptzaWIrxZXERex7znL/Yflco5
35IbaOxYjFrU3+5uvaWhNCbmaEgH2fmWqIqycXOeQkJHBIjq0TIIOx+ss/Ef3Qnw
Ks5iMkwCayHa5pmp+84kXFjNVypo0QcM4m5mYd13iiSd7YjNGNRnWILT1ZPBXD0T
NtxyidjDyDlO9PF5rOLPXjS/OpkLH9rrGzIMX/VXFTZbASHiB8UmHzDdf7ItJYMM
k1ckLod2Uv5hB8Cg3X6GJWCT6YP47FMA8wKgjFHHsy+cgMUKOULw6tQ=
=gcZr
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 16 Nov 2020 11:36:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 06:36:14 2020
Received: from localhost ([127.0.0.1]:55268 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kecnu-0004vr-89
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 06:36:14 -0500
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:34043)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kecnq-0004vY-9Q
 for 44612 <at> debbugs.gnu.org; Mon, 16 Nov 2020 06:36:12 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id D0556E0010;
 Mon, 16 Nov 2020 11:36:03 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, Bengt Richter
 <bokr@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87blfx1wmf.fsf@HIDDEN>
References: <87h7ptzj8t.fsf@HIDDEN> <20201113190830.GA2995@LionPure>
 <87blfx1wmf.fsf@HIDDEN>
Date: Mon, 16 Nov 2020 12:36:02 +0100
Message-ID: <87wnylbkkd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Ludovic Courtès <ludo@HIDDEN> writes: > Hi, > > Bengt Richter
    <bokr@HIDDEN> skribis: > >> On +2020-11-13 10:41:38 +0100, Pierre Neidhardt
    wrote: >>> `guix repl` is a fantastic, hassle-free tool to bind Guix with
    >>> third-party language [...] 
 
 Content analysis details:   (2.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.196 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 44612
Cc: 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Ludovic Courtès <ludo@HIDDEN> writes: > Hi, > > Bengt Richter
    <bokr@HIDDEN> skribis: > >> On +2020-11-13 10:41:38 +0100, Pierre Neidhardt
    wrote: >>> `guix repl` is a fantastic, hassle-free tool to bind Guix with
    >>> third-party language [...] 
 
 Content analysis details:   (2.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.196 listed in wl.mailspike.net]
  1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi,
>
> Bengt Richter <bokr@HIDDEN> skribis:
>
>> On +2020-11-13 10:41:38 +0100, Pierre Neidhardt wrote:
>>> `guix repl` is a fantastic, hassle-free tool to bind Guix with
>>> third-party languages.  I've done it here:
>>>=20
>>> https://github.com/atlas-engineer/nyxt/blob/2-pre-release-4/libraries/o=
spama/ospama-guix.lisp
>
> I recommend using =E2=80=98guix repl -t machine=E2=80=99

Looks like `-t machine` has the same issue.
This does what I want:

=2D-8<---------------cut here---------------start------------->8---
$ echo "(display \"Hi.\\n\")" | guix repl -t machine /dev/stdin
Hi.
=2D-8<---------------cut here---------------end--------------->8---

This does not:

=2D-8<---------------cut here---------------start------------->8---
$ echo "(display \"Hi.\\n\")" | guix repl -t machine=20=20
(repl-version 0 1 1)
Hi.
(values (non-self-quoting 2052 "#<unspecified>"))
=2D-8<---------------cut here---------------end--------------->8---

> and keeping the REPL process around instead of respawning it for every
> expression.

At first glance, we would want to do this indeed.

But in the case of Nyxt, there would be no point when to terminate the
process, so it would be around for the whole time Nyxt is running, which
may not be desirable.

Alternatively, I could simply keep it alive for a given duration (1
minute?) and automatically spawn it if the process is dead.

Any recommendations?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+yZCISHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/PYEH/idb2ePvYX2y4ClOV8lVSLTHRHSBCjqI
uLTg+yM9ix8F/dot+1Z2rtGcu63RwKsJOnNHQkk9hCPpcrS9BwnMiyiqlGkYoqqz
k10AjBrruCV4qd9DhRTASag2SS1M8P/JlK/4MrxAhUAFqF1A+KjgvBaPoPOmzE/F
oVCTM7MoB9L7OkDC+PZKy78VRBZfy4ucFpztGE+g2iU5Aw6L3tBkGt+li/dHukIv
Oc4/jak76WX30tUnWZiy+c8NoxLCcfu5+3v1oGj698+Q/diwyHEs+FUvuMAMCcI1
EZ+6QsU2xJK92J2f8k2TL5bHbNG5FvnYC4Vi3ZDj8ZY1UpvBFlZOc2Y=
=lBW5
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 16 Nov 2020 10:45:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 05:45:47 2020
Received: from localhost ([127.0.0.1]:55187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kec15-0003af-Ok
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 05:45:47 -0500
Received: from tobias.gr ([80.241.217.52]:53224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kec13-0003aW-Ev
 for 44612 <at> debbugs.gnu.org; Mon, 16 Nov 2020 05:45:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=/pTi72T18I6Q/i2LFpUMPVEkl1YBmwMITeGce56kyRw=; h=date:in-reply-to:
 references:subject:cc:to:from; b=TkJpUC2AZXDtDtnPR5VPYLLh1kzgYP2tbhPW3
 v7R3SZ7Eap/eH4lYbHCJ2QzhEIXFTomjlYBrP/BlBoOEOy8WmCYhcIOivpUBY8pIJLx8o+
 8SCh4uC5jQ0uCpFxdfRbbtyfLtEPOtDcJ0Y3gTJqlvE8cDE/qiedUFLdDRxEwenzwC8nf4
 f9fmwP5k9nEHZOtYb8QyjCD+617tKCUILCpOL8cYaPSqb0KNIOhrJyuEwus7vEk7GXPnTJ
 tGzxx75IGk1MxpEvD0AZ0NAMhz7nBvYv++k5FmoEs3puWwpXZbEx1lDNcwdDvufI77YC7A
 6eQLx3APfsGRT+GJ9urVfwlvQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 7149fb2f
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Mon, 16 Nov 2020 10:45:49 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
 <87zh3jx6t2.fsf@HIDDEN> <87wnyn532a.fsf@nckx>
 <87pn4fx5v3.fsf@HIDDEN> <87tutr50jo.fsf@nckx>
 <87k0unx3ai.fsf@HIDDEN> <87r1ov4ze1.fsf@nckx>
 <86k0unycww.fsf@HIDDEN>
In-reply-to: <86k0unycww.fsf@HIDDEN>
Date: Mon, 16 Nov 2020 11:45:41 +0100
Message-ID: <87tutpwpey.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44612
Cc: Pierre Neidhardt <mail@HIDDEN>, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Simon,

zimoun =E5=86=99=E9=81=93=EF=BC=9A
> Do not know if it is expected but that downloads the world=E2=80=A6 then=
=20
> it
> compiles it.  It is not Green-friendly. ;-)

What exactly downloads the world?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX7JYVQ0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15WA8BAKoEvsBo1V2qPjqfnz5AsRhCAEcujcONf2ygAfk2
8+zQAQDyxn1oqcxucoHQNaQUrvWt1Yhpm3Pzfyyjs5qE0OyIDg==
=D7nw
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 16 Nov 2020 09:25:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 04:25:54 2020
Received: from localhost ([127.0.0.1]:55060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kealm-0001bX-J0
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 04:25:54 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39814)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1keall-0001bL-2G
 for 44612 <at> debbugs.gnu.org; Mon, 16 Nov 2020 04:25:53 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59261)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1keale-0005Mm-VT; Mon, 16 Nov 2020 04:25:46 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=47346 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1keale-0001Xd-3d; Mon, 16 Nov 2020 04:25:46 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Bengt Richter <bokr@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <20201113190830.GA2995@LionPure>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 26 Brumaire an 229 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 16 Nov 2020 10:25:44 +0100
In-Reply-To: <20201113190830.GA2995@LionPure> (Bengt Richter's message of
 "Fri, 13 Nov 2020 20:08:30 +0100")
Message-ID: <87blfx1wmf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44612
Cc: Pierre Neidhardt <mail@HIDDEN>, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Bengt Richter <bokr@HIDDEN> skribis:

> On +2020-11-13 10:41:38 +0100, Pierre Neidhardt wrote:
>> `guix repl` is a fantastic, hassle-free tool to bind Guix with
>> third-party languages.  I've done it here:
>>=20
>> https://github.com/atlas-engineer/nyxt/blob/2-pre-release-4/libraries/os=
pama/ospama-guix.lisp

I recommend using =E2=80=98guix repl -t machine=E2=80=99 and keeping the RE=
PL process
around instead of respawning it for every expression.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 19:14:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 14:14:39 2020
Received: from localhost ([127.0.0.1]:52043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ke10Q-0000zc-R0
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 14:14:39 -0500
Received: from mail-wm1-f49.google.com ([209.85.128.49]:50715)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ke10N-0000zM-1D
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 14:14:37 -0500
Received: by mail-wm1-f49.google.com with SMTP id h2so19761977wmm.0
 for <44612 <at> debbugs.gnu.org>; Sat, 14 Nov 2020 11:14:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=JZsMb1N6pzOTME6RO/nMFreGQUl74G1EI/VJZphwQGM=;
 b=OTdjZMGZADLZ7HIyJN+DEbeBZ5fsIRR+BYIEE4CvDj5F22Cc5jys19jX6wPBpfzE86
 JNX7IjvE1IFZgJvKU0FqVNz5yvI+RLYMZxHoOc1m8ibHwp+7MypvQAo2EE2KLNipaHSe
 eRSRcAful+SEsNwHyHhmzfGgLm0Guv/w/+tELFCWn1RJVhuDnubzmIT22+ncrcs0MYtY
 Zd3enhJoh1MsY8ZwAO4w6I4/ppnPCZXSKGFRBuImF05h0EjtubGFqdrRh9A23JcPhxly
 wPcNxKqWj9J/WxR1ch+bGYN8F8ebWvhd10Z8VV487bdwNW08M1VeLvnU88yyL2gF1fhw
 Z7kg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=JZsMb1N6pzOTME6RO/nMFreGQUl74G1EI/VJZphwQGM=;
 b=DCYd+Yck1ynpaPPDxZZmWyf69DxfOC1EkUwslnem09ZSRFXUXN2u3PpN3trX78Qylh
 RJAaBmBR4ssn89YmdoXFsC0RvRvoiQesHqUtY+jW+ztv1Vy0e+3uRM+DSjnAv/zAUdh0
 70PW64ZuSfKJIfUaowd4DAtzqdD62I2UQZzjSSWijKPZsWJXH/HPsFYm+Y4o6fzPbexI
 3uTtAfeGHw3mFPFLClE5XnE8KxwSQT1FPpDWDPUPdUxJKQ33Cj30y+83tkIbhBpT9DY0
 O6mAJyo+t7/E9MLh29SzP4kCrjZCzJSeokAad1fyBj+5/mOgw5RXDmLklFEvfWC0Y4TV
 Y+rg==
X-Gm-Message-State: AOAM5339W8e5pbomSV56wKHIb6HHI134kEY+j7g1cQTLmzpzeMjZGeji
 2nkONG8daVW3p5cLO/nAWHlNBwg9bk9bzg==
X-Google-Smtp-Source: ABdhPJw/8ZCe8S3q4OXv8i8YTxqnLS29+/Qy+ywTcJlMK1uUEJ0uo7wVDup3dREYXHok58FYNGdF7w==
X-Received: by 2002:a1c:1d82:: with SMTP id d124mr8227300wmd.12.1605381268980; 
 Sat, 14 Nov 2020 11:14:28 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id y200sm16592214wmc.23.2020.11.14.11.14.28
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 Nov 2020 11:14:28 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>, Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87r1ov4ze1.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
 <87zh3jx6t2.fsf@HIDDEN> <87wnyn532a.fsf@nckx>
 <87pn4fx5v3.fsf@HIDDEN> <87tutr50jo.fsf@nckx>
 <87k0unx3ai.fsf@HIDDEN> <87r1ov4ze1.fsf@nckx>
Date: Sat, 14 Nov 2020 20:08:15 +0100
Message-ID: <86k0unycww.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 44612
Cc: 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi Tobias,

Do not know if it is expected but that downloads the world=E2=80=A6 then it
compiles it.  It is not Green-friendly. ;-)

If it helps, what I get on my laptop:

>> Commit 403ba4140f52b9ea9483e4c775f102bbb9753e51.

[..]

>> /gnu/store/bdi8dq8i3f59zxp7jrabas847dh80m7x-nyxt-2-pre-release-4.drv

[..]

>   $ guix environment guix -- ./pre-inst-env guix build \
>     --no-grafts nyxt -{M,c}1 -d
> =E2=86=92
> /gnu/store/2s6m5wkjksxi63wv1cz73x0kqj0az2l9-nyxt-2-pre-release-4.drv

[..]

>   $ guix build --no-grafts -{M,c}1 \
>     /gnu/store/bdi8dq8i3f59zxp7jrabas847dh80m7x-nyxt-2-pre-release-4.drv
>
> fails just as reliably, in the same way, so I don't think that's
> related.


--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=3D403ba4140f52b9ea9483e4c775f102bbb9753e51 \
       -- build --no-grafts -d nyxt
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.or=
g/git/guix.git'...
/gnu/store/bdi8dq8i3f59zxp7jrabas847dh80m7x-nyxt-2-pre-release-4.drv

$ guix time-machine --commit=3D403ba4140f52b9ea9483e4c775f102bbb9753e51 \
       -- build --no-grafts nyxt
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.or=
g/git/guix.git'...
/gnu/store/1fa4443ripbxjnyvk577hp98r7szrbh2-nyxt-2-pre-release-4

$ guix time-machine --commit=3D403ba4140f52b9ea9483e4c775f102bbb9753e51 \
       -- build --no-grafts nyxt -{M,c}1 -d
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.or=
g/git/guix.git'...
/gnu/store/bdi8dq8i3f59zxp7jrabas847dh80m7x-nyxt-2-pre-release-4.drv
--8<---------------cut here---------------end--------------->8---


Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 17:33:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 12:33:16 2020
Received: from localhost ([127.0.0.1]:51926 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdzQK-0004u2-FW
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:33:16 -0500
Received: from tobias.gr ([80.241.217.52]:41048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdzQI-0004tt-DW
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:33:15 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=7GQanGKsc5NU1cUn1xR4RDhMIXkEaq9z70V64EYjnNQ=; h=date:in-reply-to:
 references:subject:cc:to:from; b=ctfduPbzvErDIQgx8ZHK+lBRdNWylUI9hZcKd
 IOQycx0My9Z7Hi7UaSdh2FvcnsqtXqoKUpSamgSP1u83cZaq7qiHdT5A5KCdI+NZ3/8wrX
 oOhQkBcLTIIJHaAlwvo0/U43OXsw71Cl6l26DpmpXNgeZ1GJcXPPx5159IcEFYF25BryR7
 GlA69wwZLndW+4qVJ/DZmH101H02+wdbLNDh+bIzk0kPZhMHIjxc3UP8oRgVaOLPvNTnxc
 x0bEcIMOhV/IFjd5FSlTVi2EVp2z+HNODT3o1IY9bvT76I2oW3t/5qoc9D94B8lLH0dE0i
 hk1AgBpY+cJv4i5ihVDjADG7g==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id af3fa28e
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 17:33:17 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
 <87zh3jx6t2.fsf@HIDDEN> <87wnyn532a.fsf@nckx>
 <87pn4fx5v3.fsf@HIDDEN> <87tutr50jo.fsf@nckx>
 <87k0unx3ai.fsf@HIDDEN>
In-reply-to: <87k0unx3ai.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 18:33:10 +0100
Message-ID: <87r1ov4ze1.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> Tobias Geerinckx-Rice <me@HIDDEN> writes:
>
>> Here's that ungrafted derivation again:
>>
>>   /gnu/store/2s6m5wkjksxi63wv1cz73x0kqj0az2l9-nyxt-2-pre-release-4.drv
>>
>> Can you confirm that we're building the same thing?
>
> We are not, it seems:
>
> --8<---------------cut=20
> here---------------start------------->8---
> $ ./pre-inst-env guix build --no-grafts -d nyxt
> /gnu/store/bdi8dq8i3f59zxp7jrabas847dh80m7x-nyxt-2-pre-release-4.drv
> --8<---------------cut=20
> here---------------end--------------->8---
>
> Commit 403ba4140f52b9ea9483e4c775f102bbb9753e51.

Hm, OK, even with

  $ git checkout 403ba4140f52b9ea9483e4c775f102bbb9753e51
  $ guix environment guix -- ./pre-inst-env guix build \
    --no-grafts nyxt -{M,c}1 -d
=E2=86=92=20
/gnu/store/2s6m5wkjksxi63wv1cz73x0kqj0az2l9-nyxt-2-pre-release-4.drv

But for whatever reason I have your derivation, and

  $ guix build --no-grafts -{M,c}1 \
    /gnu/store/bdi8dq8i3f59zxp7jrabas847dh80m7x-nyxt-2-pre-release-4.drv

fails just as reliably, in the same way, so I don't think that's=20
related.

I'll try it on a different x86_64 machine.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX7AU1g0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15G2QBAPkoHmxDEmbPWAx/Di0GR2sof3i+yG28bASKH+nO
Y+9zAP4mjHIlSABz2PovHP9p3vYsk7BXIsdsEEKKFiAwKYNABg==
=XST9
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 17:33:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 12:33:19 2020
Received: from localhost ([127.0.0.1]:51929 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdzQN-0004uJ-MA
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:33:19 -0500
Received: from lists.gnu.org ([209.51.188.17]:33976)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdzQL-0004uB-Ud
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:33:18 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:56316)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdzQL-0004yu-OJ
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 12:33:17 -0500
Received: from tobias.gr ([2a02:c205:2020:6054::1]:51094)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdzQJ-0006q7-EY
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 12:33:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=7GQanGKsc5NU1cUn1xR4RDhMIXkEaq9z70V64EYjnNQ=; h=date:in-reply-to:
 references:subject:cc:to:from; b=ctfduPbzvErDIQgx8ZHK+lBRdNWylUI9hZcKd
 IOQycx0My9Z7Hi7UaSdh2FvcnsqtXqoKUpSamgSP1u83cZaq7qiHdT5A5KCdI+NZ3/8wrX
 oOhQkBcLTIIJHaAlwvo0/U43OXsw71Cl6l26DpmpXNgeZ1GJcXPPx5159IcEFYF25BryR7
 GlA69wwZLndW+4qVJ/DZmH101H02+wdbLNDh+bIzk0kPZhMHIjxc3UP8oRgVaOLPvNTnxc
 x0bEcIMOhV/IFjd5FSlTVi2EVp2z+HNODT3o1IY9bvT76I2oW3t/5qoc9D94B8lLH0dE0i
 hk1AgBpY+cJv4i5ihVDjADG7g==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id af3fa28e
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 17:33:17 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
 <87zh3jx6t2.fsf@HIDDEN> <87wnyn532a.fsf@nckx>
 <87pn4fx5v3.fsf@HIDDEN> <87tutr50jo.fsf@nckx>
 <87k0unx3ai.fsf@HIDDEN>
In-reply-to: <87k0unx3ai.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 18:33:10 +0100
Message-ID: <87r1ov4ze1.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> Tobias Geerinckx-Rice <me@HIDDEN> writes:
>
>> Here's that ungrafted derivation again:
>>
>>   /gnu/store/2s6m5wkjksxi63wv1cz73x0kqj0az2l9-nyxt-2-pre-release-4.drv
>>
>> Can you confirm that we're building the same thing?
>
> We are not, it seems:
>
> --8<---------------cut=20
> here---------------start------------->8---
> $ ./pre-inst-env guix build --no-grafts -d nyxt
> /gnu/store/bdi8dq8i3f59zxp7jrabas847dh80m7x-nyxt-2-pre-release-4.drv
> --8<---------------cut=20
> here---------------end--------------->8---
>
> Commit 403ba4140f52b9ea9483e4c775f102bbb9753e51.

Hm, OK, even with

  $ git checkout 403ba4140f52b9ea9483e4c775f102bbb9753e51
  $ guix environment guix -- ./pre-inst-env guix build \
    --no-grafts nyxt -{M,c}1 -d
=E2=86=92=20
/gnu/store/2s6m5wkjksxi63wv1cz73x0kqj0az2l9-nyxt-2-pre-release-4.drv

But for whatever reason I have your derivation, and

  $ guix build --no-grafts -{M,c}1 \
    /gnu/store/bdi8dq8i3f59zxp7jrabas847dh80m7x-nyxt-2-pre-release-4.drv

fails just as reliably, in the same way, so I don't think that's=20
related.

I'll try it on a different x86_64 machine.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX7AU1g0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15G2QBAPkoHmxDEmbPWAx/Di0GR2sof3i+yG28bASKH+nO
Y+9zAP4mjHIlSABz2PovHP9p3vYsk7BXIsdsEEKKFiAwKYNABg==
=XST9
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 17:21:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 12:21:36 2020
Received: from localhost ([127.0.0.1]:51908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdzF2-0004bb-KV
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:21:36 -0500
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:36709)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdzEz-0004b8-P3
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:21:34 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 89E7C1C0004;
 Sat, 14 Nov 2020 17:21:26 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87tutr50jo.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
 <87zh3jx6t2.fsf@HIDDEN> <87wnyn532a.fsf@nckx>
 <87pn4fx5v3.fsf@HIDDEN> <87tutr50jo.fsf@nckx>
Date: Sat, 14 Nov 2020 18:21:25 +0100
Message-ID: <87k0unx3ai.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Tobias Geerinckx-Rice <me@HIDDEN> writes: > Here's that
 ungrafted derivation again: > >
 /gnu/store/2s6m5wkjksxi63wv1cz73x0kqj0az2l9-nyxt-2-pre-release-4.drv
 > > Can you confirm that we're building the same thing? 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [217.70.183.197 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Tobias Geerinckx-Rice <me@HIDDEN> writes: > Here's that
    ungrafted derivation again: > > /gnu/store/2s6m5wkjksxi63wv1cz73x0kqj0az2l9-nyxt-2-pre-release-4.drv
    > > Can you confirm that we're building the same thing? 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [217.70.183.197 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice <me@HIDDEN> writes:

> Here's that ungrafted derivation again:
>
>   /gnu/store/2s6m5wkjksxi63wv1cz73x0kqj0az2l9-nyxt-2-pre-release-4.drv
>
> Can you confirm that we're building the same thing?

We are not, it seems:

=2D-8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix build --no-grafts -d nyxt
/gnu/store/bdi8dq8i3f59zxp7jrabas847dh80m7x-nyxt-2-pre-release-4.drv
=2D-8<---------------cut here---------------end--------------->8---

Commit 403ba4140f52b9ea9483e4c775f102bbb9753e51.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+wEhUSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/Wq0IAI0j7E4O1yT1qbUbMtuYJq+iTjLuFYrd
72kFjrzxTSnFEb6NGhbhdbDQFfBqpubYyANwYiCOFLnG+aJRy23TfI0hw3zj643G
gIdIDr/kCM7+TwasoI2S48CpAJj5oo0jof6HTV9Tj0cdFOQ/1xmE28uNriTZ3KbY
UxQaz+pELMHGrCAG80NUH1yeFox5WGfLfC/x68hCeruuO4Qv/InVCBPMAj4SYLbJ
CzMgFVjwkRDH+GuwaFgK+oImyRa2D5klDmFx9DDbjoVriCyWVOGE21A1LOJC5Wm7
z+QZHJIq+gpf5NiBfnoMyLfVLLeZ0pZzBWei3uvPbOc5OSVjlXRBJwc=
=r35T
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 17:21:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 12:21:34 2020
Received: from localhost ([127.0.0.1]:51906 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdzF0-0004bS-AK
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:21:34 -0500
Received: from lists.gnu.org ([209.51.188.17]:54700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdzEy-0004bG-Sy
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:21:33 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:53552)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdzEy-00012M-Nc
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 12:21:32 -0500
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:37797)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdzEw-0002Jh-Dh
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 12:21:32 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 89E7C1C0004;
 Sat, 14 Nov 2020 17:21:26 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87tutr50jo.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
 <87zh3jx6t2.fsf@HIDDEN> <87wnyn532a.fsf@nckx>
 <87pn4fx5v3.fsf@HIDDEN> <87tutr50jo.fsf@nckx>
Date: Sat, 14 Nov 2020 18:21:25 +0100
Message-ID: <87k0unx3ai.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=217.70.183.197; envelope-from=mail@HIDDEN;
 helo=relay5-d.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/14 10:59:17
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: 6
X-Spam_score: 0.6
X-Spam_bar: /
X-Spam_report: (0.6 / 5.0 requ) BAYES_00=-1.9, FROM_SUSPICIOUS_NTLD=0.5,
 PDS_OTHER_BAD_TLD=1.999, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice <me@HIDDEN> writes:

> Here's that ungrafted derivation again:
>
>   /gnu/store/2s6m5wkjksxi63wv1cz73x0kqj0az2l9-nyxt-2-pre-release-4.drv
>
> Can you confirm that we're building the same thing?

We are not, it seems:

=2D-8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix build --no-grafts -d nyxt
/gnu/store/bdi8dq8i3f59zxp7jrabas847dh80m7x-nyxt-2-pre-release-4.drv
=2D-8<---------------cut here---------------end--------------->8---

Commit 403ba4140f52b9ea9483e4c775f102bbb9753e51.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+wEhUSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/Wq0IAI0j7E4O1yT1qbUbMtuYJq+iTjLuFYrd
72kFjrzxTSnFEb6NGhbhdbDQFfBqpubYyANwYiCOFLnG+aJRy23TfI0hw3zj643G
gIdIDr/kCM7+TwasoI2S48CpAJj5oo0jof6HTV9Tj0cdFOQ/1xmE28uNriTZ3KbY
UxQaz+pELMHGrCAG80NUH1yeFox5WGfLfC/x68hCeruuO4Qv/InVCBPMAj4SYLbJ
CzMgFVjwkRDH+GuwaFgK+oImyRa2D5klDmFx9DDbjoVriCyWVOGE21A1LOJC5Wm7
z+QZHJIq+gpf5NiBfnoMyLfVLLeZ0pZzBWei3uvPbOc5OSVjlXRBJwc=
=r35T
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 17:15:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 12:15:19 2020
Received: from localhost ([127.0.0.1]:51895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdz8i-0004RU-Hf
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:15:19 -0500
Received: from lists.gnu.org ([209.51.188.17]:49278)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdz8g-0004Qz-Fi
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:15:03 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52386)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdz8g-0006hs-7r
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 12:15:02 -0500
Received: from tobias.gr ([2a02:c205:2020:6054::1]:50894)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdz8d-0008G2-Ci
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 12:15:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=AznLVD1Xzr4wW+Xzk0VsHRSAmzpsayO9RKzz02ku+K4=; h=date:in-reply-to:
 references:subject:cc:to:from; b=jSvNys08HhkwOgkS9vHjhO0/BBG/rGrdm4lhu
 s7pZ9xfwc6csPJpIqDMrrRTnwMOUIj1V/AhsUqV4OhClQRBFNnqcSifvfTrIUX4VY4xpbE
 UMQK8uowbFY71jP9SG5nb4L+J3mfKznE53d5cErGGo4rnNtDw9JoCPtrzEvmsiCkzpB7Qd
 PkFLGMYU9JINMvxjZ/ld24E3uM+VjA8oFbkDwBZnZZlj6PZ+vsYha3DUZQmu8rf1SK+x8T
 96wL5YQnJ4u3v6yEaNySIXJYFIo5x/IzkBQg67HScDUngKzPnOu2zvZzlaZQdbhW7HISmE
 TavqvTLMfJ/x1OF0AOfc+iLpw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 16474f71
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 17:08:19 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
 <87zh3jx6t2.fsf@HIDDEN> <87wnyn532a.fsf@nckx>
 <87pn4fx5v3.fsf@HIDDEN>
In-reply-to: <87pn4fx5v3.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 18:08:11 +0100
Message-ID: <87tutr50jo.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> Does building sbcl-dexador work for you?

Yes, even with multiple cores & grafts enabled.

> Maybe it's a parallel build issue.  Can you reduce the number=20
> cores to 1
> see if that helps?

I think I mentioned in my previous mail that I was using -{M,c}1.=20
Anyway, I was, the message never changes.

Here's that ungrafted derivation again:

  /gnu/store/2s6m5wkjksxi63wv1cz73x0kqj0az2l9-nyxt-2-pre-release-4.drv

Can you confirm that we're building the same thing?

> Err... I'm confused, this is not about Nyxt :p

  Always has been,
    /
T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX7AO+w0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15awQBAKSdVZ4hwniN0oU58gnrMNNzyne2hBoCFhXmx8YZ
n7EDAQCBgmsfh6BmTQccoyWWaMrWC+yQ0poFH4Cdz0rpAVwzAQ==
=QoiF
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 17:08:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 12:08:19 2020
Received: from localhost ([127.0.0.1]:51882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdz2B-0004H8-9q
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:08:19 -0500
Received: from tobias.gr ([80.241.217.52]:40750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdz27-0004Gw-NL
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:08:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=AznLVD1Xzr4wW+Xzk0VsHRSAmzpsayO9RKzz02ku+K4=; h=date:in-reply-to:
 references:subject:cc:to:from; b=jSvNys08HhkwOgkS9vHjhO0/BBG/rGrdm4lhu
 s7pZ9xfwc6csPJpIqDMrrRTnwMOUIj1V/AhsUqV4OhClQRBFNnqcSifvfTrIUX4VY4xpbE
 UMQK8uowbFY71jP9SG5nb4L+J3mfKznE53d5cErGGo4rnNtDw9JoCPtrzEvmsiCkzpB7Qd
 PkFLGMYU9JINMvxjZ/ld24E3uM+VjA8oFbkDwBZnZZlj6PZ+vsYha3DUZQmu8rf1SK+x8T
 96wL5YQnJ4u3v6yEaNySIXJYFIo5x/IzkBQg67HScDUngKzPnOu2zvZzlaZQdbhW7HISmE
 TavqvTLMfJ/x1OF0AOfc+iLpw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 16474f71
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 17:08:19 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
 <87zh3jx6t2.fsf@HIDDEN> <87wnyn532a.fsf@nckx>
 <87pn4fx5v3.fsf@HIDDEN>
In-reply-to: <87pn4fx5v3.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 18:08:11 +0100
Message-ID: <87tutr50jo.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> Does building sbcl-dexador work for you?

Yes, even with multiple cores & grafts enabled.

> Maybe it's a parallel build issue.  Can you reduce the number=20
> cores to 1
> see if that helps?

I think I mentioned in my previous mail that I was using -{M,c}1.=20
Anyway, I was, the message never changes.

Here's that ungrafted derivation again:

  /gnu/store/2s6m5wkjksxi63wv1cz73x0kqj0az2l9-nyxt-2-pre-release-4.drv

Can you confirm that we're building the same thing?

> Err... I'm confused, this is not about Nyxt :p

  Always has been,
    /
T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX7AO+w0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15awQBAKSdVZ4hwniN0oU58gnrMNNzyne2hBoCFhXmx8YZ
n7EDAQCBgmsfh6BmTQccoyWWaMrWC+yQ0poFH4Cdz0rpAVwzAQ==
=QoiF
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 16:26:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 11:26:03 2020
Received: from localhost ([127.0.0.1]:51748 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdyNH-0007Kq-61
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:26:03 -0500
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:45081)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdyNE-0007K1-FN
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:26:00 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 46405E0003;
 Sat, 14 Nov 2020 16:25:52 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87wnyn532a.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
 <87zh3jx6t2.fsf@HIDDEN> <87wnyn532a.fsf@nckx>
Date: Sat, 14 Nov 2020 17:25:52 +0100
Message-ID: <87pn4fx5v3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Does building sbcl-dexador work for you? Maybe it's a
 parallel
 build issue. Can you reduce the number cores to 1 see if that helps? -- Pierre
 Neidhardt https://ambrevar.xyz/ 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.196 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Does building sbcl-dexador work for you? Maybe it's a parallel
    build issue. Can you reduce the number cores to 1 see if that helps? -- Pierre
    Neidhardt https://ambrevar.xyz/ 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.196 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Does building sbcl-dexador work for you?

Maybe it's a parallel build issue.  Can you reduce the number cores to 1
see if that helps?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+wBRASHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/yiUH/0kj0WZihXNHg6mhGD6KPVDEpK2BU5ng
CkamS7tWLJWVgcHk4nvsgkOK19sFqqMPiZ8YlMeOWAOYhJKjMKBAKKoyHxPk4+YW
o17hv0jTOMudHLh0sKnimToNFe7kRNWL+HMxE+sIs8U2IIDv+I88CYEJNz3LOHk8
NtxnYkCZdfxcicjqQe5OehQwiLgoRL6ucZWh8qZn9aiwAVnjxSlV4+6dBE43yUTK
L7X2je31N0GBml2Pl5SUoUwDbP2zTXkwZ+n2SMIAX2s7yb01Y3oXzr4+6872T0qk
+8SmKPK0yzf708bkSr7OD0dzMI8Q7b2ILWxzSe7lzEfd1wapHSld81U=
=abC3
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 16:26:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 11:26:01 2020
Received: from localhost ([127.0.0.1]:51744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdyNE-0007KD-LI
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:26:01 -0500
Received: from lists.gnu.org ([209.51.188.17]:52426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdyND-0007K7-Ni
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:26:00 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:42594)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdyND-0007Pb-H2
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 11:25:59 -0500
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:37659)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdyNB-0007lQ-AY
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 11:25:58 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 46405E0003;
 Sat, 14 Nov 2020 16:25:52 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87wnyn532a.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
 <87zh3jx6t2.fsf@HIDDEN> <87wnyn532a.fsf@nckx>
Date: Sat, 14 Nov 2020 17:25:52 +0100
Message-ID: <87pn4fx5v3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=217.70.183.196; envelope-from=mail@HIDDEN;
 helo=relay4-d.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/14 08:19:06
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: 6
X-Spam_score: 0.6
X-Spam_bar: /
X-Spam_report: (0.6 / 5.0 requ) BAYES_00=-1.9, FROM_SUSPICIOUS_NTLD=0.5,
 PDS_OTHER_BAD_TLD=1.999, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Does building sbcl-dexador work for you?

Maybe it's a parallel build issue.  Can you reduce the number cores to 1
see if that helps?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+wBRASHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/yiUH/0kj0WZihXNHg6mhGD6KPVDEpK2BU5ng
CkamS7tWLJWVgcHk4nvsgkOK19sFqqMPiZ8YlMeOWAOYhJKjMKBAKKoyHxPk4+YW
o17hv0jTOMudHLh0sKnimToNFe7kRNWL+HMxE+sIs8U2IIDv+I88CYEJNz3LOHk8
NtxnYkCZdfxcicjqQe5OehQwiLgoRL6ucZWh8qZn9aiwAVnjxSlV4+6dBE43yUTK
L7X2je31N0GBml2Pl5SUoUwDbP2zTXkwZ+n2SMIAX2s7yb01Y3oXzr4+6872T0qk
+8SmKPK0yzf708bkSr7OD0dzMI8Q7b2ILWxzSe7lzEfd1wapHSld81U=
=abC3
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 16:13:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 11:13:56 2020
Received: from localhost ([127.0.0.1]:51707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdyBY-0004uM-I9
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:13:56 -0500
Received: from tobias.gr ([80.241.217.52]:39612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdyBW-0004uC-9l
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:13:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=+QQWZkxXctjzJnAzw9Ik16TgDsQWWLfE2G++MD9GfPw=; h=date:in-reply-to:
 references:subject:cc:to:from; b=AWoqq7RheR4RSeLkco7iSan7HjJEvsRB+gJP0
 XQ7i+nR8NzC3P8xI+SeQ3N72UmEyFjMa1U3jRSmhVx+MCczV3ciiWwx7EzZn/YrRi0yevI
 q24whejr/sMVh57icq3DfK9b+hJY/NtiYnG/ARz2SMZiXE5VUry+BfBlBWu1XvKgB+v0bq
 bdJ98qhmkXmxKugUQzbpEwykNBw89LGL6906fDaTnUiq0XmzL6zARlsKlJe72n0kuRGn7D
 DfIVzHrdn2arCzcgZi7/b/BOGTHY5vj9j1hf97aAzunNzxNpHob5+o4cE8YltueVIpYeLp
 VkFgjdHYqCPjx330Xu02+suwA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 4183accd
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 16:13:57 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
 <87zh3jx6t2.fsf@HIDDEN>
In-reply-to: <87zh3jx6t2.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 17:13:49 +0100
Message-ID: <87wnyn532a.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> guix build --no-grafts nyxt

That's what fails.  I haven't tried building with grafts.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX7ACPg0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15YpoBAM3fimVaTc5uQWojDWYbdSpdOW7GXp3SSOVxFIP6
UbpeAQDW+qI4X1MnwVgAc8EKZZuVwFWDmPJu/nHOOZ8ynSMFAA==
=5XbC
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 16:14:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 11:14:00 2020
Received: from localhost ([127.0.0.1]:51710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdyBb-0004uc-QM
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:13:59 -0500
Received: from lists.gnu.org ([209.51.188.17]:38294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdyBa-0004uV-59
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:13:58 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:39602)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdyBa-0000mZ-0P
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 11:13:58 -0500
Received: from tobias.gr ([2a02:c205:2020:6054::1]:49658)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdyBX-0003FO-O7
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 11:13:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=+QQWZkxXctjzJnAzw9Ik16TgDsQWWLfE2G++MD9GfPw=; h=date:in-reply-to:
 references:subject:cc:to:from; b=AWoqq7RheR4RSeLkco7iSan7HjJEvsRB+gJP0
 XQ7i+nR8NzC3P8xI+SeQ3N72UmEyFjMa1U3jRSmhVx+MCczV3ciiWwx7EzZn/YrRi0yevI
 q24whejr/sMVh57icq3DfK9b+hJY/NtiYnG/ARz2SMZiXE5VUry+BfBlBWu1XvKgB+v0bq
 bdJ98qhmkXmxKugUQzbpEwykNBw89LGL6906fDaTnUiq0XmzL6zARlsKlJe72n0kuRGn7D
 DfIVzHrdn2arCzcgZi7/b/BOGTHY5vj9j1hf97aAzunNzxNpHob5+o4cE8YltueVIpYeLp
 VkFgjdHYqCPjx330Xu02+suwA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 4183accd
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 16:13:57 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
 <87zh3jx6t2.fsf@HIDDEN>
In-reply-to: <87zh3jx6t2.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 17:13:49 +0100
Message-ID: <87wnyn532a.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> guix build --no-grafts nyxt

That's what fails.  I haven't tried building with grafts.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX7ACPg0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15YpoBAM3fimVaTc5uQWojDWYbdSpdOW7GXp3SSOVxFIP6
UbpeAQDW+qI4X1MnwVgAc8EKZZuVwFWDmPJu/nHOOZ8ynSMFAA==
=5XbC
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 16:11:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 11:11:13 2020
Received: from localhost ([127.0.0.1]:51701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdy8v-0004qY-1G
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:11:13 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:55091)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdy8s-0004qD-RY
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:11:11 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 0E54F40007;
 Sat, 14 Nov 2020 16:11:03 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <878sb459cf.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN> <878sb459cf.fsf@nckx>
Date: Sat, 14 Nov 2020 17:11:03 +0100
Message-ID: <87tutrx6js.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Tobias Geerinckx-Rice <me@HIDDEN> writes: > Pierre, > >
    Pierre Neidhardt 写道: >> and... it works! O.o > > Don't you hate it
   when that happens? Ban bug suicide. > > (Does that mean this one can be closed?
    Or retitled, 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.194 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Tobias Geerinckx-Rice <me@HIDDEN> writes: > Pierre, > >
    Pierre Neidhardt 写道: >> and... it works! O.o > > Don't you hate it
   when that happens? Ban bug suicide. > > (Does that mean this one can be closed?
    Or retitled, 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.194 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice <me@HIDDEN> writes:

> Pierre,
>
> Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
>> and... it works! O.o
>
> Don't you hate it when that happens?  Ban bug suicide.
>
> (Does that mean this one can be closed?  Or retitled,

We can retitle it to remove the Guile banner indeed.


> if we want to debug Nyxt? :-)

Err... I'm confused, this is not about Nyxt :p

>> For future reference, it's also works in Common Lisp:
>>            (uiop:run-program '("guix" "repl") :input s :output t=20
>>            :error-output nil))
>
> Well, I stranded trying to import (or whatever the CL term is)=20
> UIOP itself, but my Common Lisp-fu is hella weak.

If you tried with SBCL, then you need to first require UIOP:

=2D-8<---------------cut here---------------start------------->8---
(require :uiop)
(with-input-from-string (s "(display \"foo\\n\")")
  (uiop:run-program '("guix" "repl") :input s :output :string :error-output=
 nil))
=2D-8<---------------cut here---------------end--------------->8---

> This reminds me: do you want Nyxt to call =E2=80=98guix repl -q=E2=80=99 =
to skip=20
> loading ~/.guile to make your UI more predictable & debuggable?=20
> Or keep it as an escape hatch for cool hacks?

Oops, thanks for the reminder.  Will do indeed, I don't think it's
needed in Nyxt.  Or maybe make it optional.  Well, if someone ever
complains about it...

Cheers!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+wAZcSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/9goIAJR9xhCATdsyd5FVpHPAhOWt1toplsS6
93ZWTeK0z2I3/TMHGaRxAEL/ZBIHCdHomvkUS98Fg/e3jx9IsxCsKvf1wP1jNIfq
nILb5TRNVj8pHynSNbxO8V7K2sKNzm1FcbUGG+YfsCgUMiKr/nTNbO0cbVsUn1Fu
i940cc53mpUGYory2dGpp3BRUHFuChANGJbUzlTD1EnURb3XpPGrBYhdpRd2rc0A
fv7e5ggKaD9hzPxVVwLEBUwArOZp7U6WMtHqw/7BZTw9q8swras/jh0VKQz6x87t
jRr3NP29BQzViQ0f46cRgn3G9jFoMknWS7Z3lLOhlte3oGVE2TyJrQ0=
=8fbT
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 16:11:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 11:11:13 2020
Received: from localhost ([127.0.0.1]:51699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdy8u-0004qW-P7
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:11:12 -0500
Received: from lists.gnu.org ([209.51.188.17]:37574)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdy8r-0004qH-6O
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:11:10 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:39182)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdy8r-0000GI-1X
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 11:11:09 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:61759)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdy8p-0002OP-5O
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 11:11:08 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 0E54F40007;
 Sat, 14 Nov 2020 16:11:03 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <878sb459cf.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN> <878sb459cf.fsf@nckx>
Date: Sat, 14 Nov 2020 17:11:03 +0100
Message-ID: <87tutrx6js.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=217.70.183.194; envelope-from=mail@HIDDEN;
 helo=relay2-d.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/14 08:24:55
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: 6
X-Spam_score: 0.6
X-Spam_bar: /
X-Spam_report: (0.6 / 5.0 requ) BAYES_00=-1.9, FROM_SUSPICIOUS_NTLD=0.5,
 PDS_OTHER_BAD_TLD=1.999, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice <me@HIDDEN> writes:

> Pierre,
>
> Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
>> and... it works! O.o
>
> Don't you hate it when that happens?  Ban bug suicide.
>
> (Does that mean this one can be closed?  Or retitled,

We can retitle it to remove the Guile banner indeed.


> if we want to debug Nyxt? :-)

Err... I'm confused, this is not about Nyxt :p

>> For future reference, it's also works in Common Lisp:
>>            (uiop:run-program '("guix" "repl") :input s :output t=20
>>            :error-output nil))
>
> Well, I stranded trying to import (or whatever the CL term is)=20
> UIOP itself, but my Common Lisp-fu is hella weak.

If you tried with SBCL, then you need to first require UIOP:

=2D-8<---------------cut here---------------start------------->8---
(require :uiop)
(with-input-from-string (s "(display \"foo\\n\")")
  (uiop:run-program '("guix" "repl") :input s :output :string :error-output=
 nil))
=2D-8<---------------cut here---------------end--------------->8---

> This reminds me: do you want Nyxt to call =E2=80=98guix repl -q=E2=80=99 =
to skip=20
> loading ~/.guile to make your UI more predictable & debuggable?=20
> Or keep it as an escape hatch for cool hacks?

Oops, thanks for the reminder.  Will do indeed, I don't think it's
needed in Nyxt.  Or maybe make it optional.  Well, if someone ever
complains about it...

Cheers!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+wAZcSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/9goIAJR9xhCATdsyd5FVpHPAhOWt1toplsS6
93ZWTeK0z2I3/TMHGaRxAEL/ZBIHCdHomvkUS98Fg/e3jx9IsxCsKvf1wP1jNIfq
nILb5TRNVj8pHynSNbxO8V7K2sKNzm1FcbUGG+YfsCgUMiKr/nTNbO0cbVsUn1Fu
i940cc53mpUGYory2dGpp3BRUHFuChANGJbUzlTD1EnURb3XpPGrBYhdpRd2rc0A
fv7e5ggKaD9hzPxVVwLEBUwArOZp7U6WMtHqw/7BZTw9q8swras/jh0VKQz6x87t
jRr3NP29BQzViQ0f46cRgn3G9jFoMknWS7Z3lLOhlte3oGVE2TyJrQ0=
=8fbT
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 16:06:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 11:06:49 2020
Received: from localhost ([127.0.0.1]:51676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdy4e-0004iD-Jo
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:06:49 -0500
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:60513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdy4d-0004hw-AC
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:06:47 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 3FB781C0009;
 Sat, 14 Nov 2020 16:06:40 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Guillaume Le Vaillant <glv@HIDDEN>, Tobias Geerinckx-Rice
 <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87sg9cht8w.fsf@yamatai>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN> <878sb459cf.fsf@nckx>
 <87v9e8hter.fsf@yamatai> <87sg9cht8w.fsf@yamatai>
Date: Sat, 14 Nov 2020 17:06:40 +0100
Message-ID: <87wnynx6r3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Fantastic, this works! Thanks a lot, Guillaume! I'll update
 Nyxt then. 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [217.70.183.197 listed in wl.mailspike.net]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Fantastic, this works! Thanks a lot, Guillaume! I'll update
    Nyxt then. 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [217.70.183.197 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Fantastic, this works!

Thanks a lot, Guillaume!

I'll update Nyxt then.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+wAJASHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/VqIIAK0ojlA74FS1ra54AgGfpKUhtvT2eVzr
9Oxa4FJfZgP2/W89x1E9XyeO4JRixtzjSWpxGGBnQmDr+qBlul62DSfrFDrWfLwa
wcPr8T9n13TAhEj2nCWQ/xosLEjC3UxCmH4f3S1X8PgnCG4X40GKaZ7bqfVM6sRW
GBSLY6r0OLXYoiV6EJVOqDC+hgfG/9DhmObBP766mcSv0rd1wQzlfEX7yyNm/VnU
2k2Wgc22a6TKI7YwqbVTmoIMOKPLEJRlIgWvnN0VP8s2UN+Ej5vEtAA29XtIm3GA
cuQV1qlY03Kpqvo1d7eMh/AsT9Q/z7/gx2MPTfdPEOiFq/hwbkXtDTA=
=j8e8
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 16:06:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 11:06:53 2020
Received: from localhost ([127.0.0.1]:51679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdy4j-0004iV-5f
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:06:53 -0500
Received: from lists.gnu.org ([209.51.188.17]:35850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdy4h-0004iN-Md
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:06:51 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:38280)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdy4h-0007dt-8W
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 11:06:51 -0500
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:58865)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdy4e-0000qe-9H
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 11:06:50 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 3FB781C0009;
 Sat, 14 Nov 2020 16:06:40 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Guillaume Le Vaillant <glv@HIDDEN>, Tobias Geerinckx-Rice
 <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87sg9cht8w.fsf@yamatai>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN> <878sb459cf.fsf@nckx>
 <87v9e8hter.fsf@yamatai> <87sg9cht8w.fsf@yamatai>
Date: Sat, 14 Nov 2020 17:06:40 +0100
Message-ID: <87wnynx6r3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=217.70.183.197; envelope-from=mail@HIDDEN;
 helo=relay5-d.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/14 10:59:17
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: 6
X-Spam_score: 0.6
X-Spam_bar: /
X-Spam_report: (0.6 / 5.0 requ) BAYES_00=-1.9, FROM_SUSPICIOUS_NTLD=0.5,
 PDS_OTHER_BAD_TLD=1.999, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Fantastic, this works!

Thanks a lot, Guillaume!

I'll update Nyxt then.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+wAJASHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/VqIIAK0ojlA74FS1ra54AgGfpKUhtvT2eVzr
9Oxa4FJfZgP2/W89x1E9XyeO4JRixtzjSWpxGGBnQmDr+qBlul62DSfrFDrWfLwa
wcPr8T9n13TAhEj2nCWQ/xosLEjC3UxCmH4f3S1X8PgnCG4X40GKaZ7bqfVM6sRW
GBSLY6r0OLXYoiV6EJVOqDC+hgfG/9DhmObBP766mcSv0rd1wQzlfEX7yyNm/VnU
2k2Wgc22a6TKI7YwqbVTmoIMOKPLEJRlIgWvnN0VP8s2UN+Ej5vEtAA29XtIm3GA
cuQV1qlY03Kpqvo1d7eMh/AsT9Q/z7/gx2MPTfdPEOiFq/hwbkXtDTA=
=j8e8
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 16:05:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 11:05:39 2020
Received: from localhost ([127.0.0.1]:51668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdy3X-0004g8-18
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:05:39 -0500
Received: from relay12.mail.gandi.net ([217.70.178.232]:58383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdy3U-0004fp-Pi
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:05:37 -0500
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id 6DF57200005;
 Sat, 14 Nov 2020 16:05:29 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <875z6858p1.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
Date: Sat, 14 Nov 2020 17:05:29 +0100
Message-ID: <87zh3jx6t2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I think this is the old non-UTF8 encoding grafting issue (if
 you ask me, I'll send you the link). Try: --8<cut herestart>8--- guix build
 --no-grafts nyxt --8<cut hereend>8--- 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [217.70.178.232 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.178.232 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I think this is the old non-UTF8 encoding grafting issue (if
    you ask me, I'll send you the link). Try: --8<cut herestart>8--- guix build
    --no-grafts nyxt --8<cut hereend>8--- 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [217.70.178.232 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.178.232 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

I think this is the old non-UTF8 encoding grafting issue (if you ask me,
I'll send you the link).  Try:

=2D-8<---------------cut here---------------start------------->8---
guix build --no-grafts nyxt
=2D-8<---------------cut here---------------end--------------->8---

If this is the case, nothing Nyxt can do here I'm afraid, as it's a Guix
issue with the reference scannr (it does not find non-UTF8 references).

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+wAEkSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/fWkH/0zl+hjKYTS28yEq5ZZLxvICBUFZ4BTD
JdV80e+MLsio6mPqQJqXufbZNCZMTNKV0GlhVUpjljuOvJ2vcUa3JYTEfsyHNofF
TcCxYco3jsAH6/qppZ7U3rGNKnstUs5FlfgnVdPLgcgVYvcKQfBWgT6IVzR5Ic30
sABk+jK8mj5EdxrJ6/jiRc6OrY0E1fBE3GzJFHqvYY+SOGVBdh+X7LPZ6y57jXTE
G86TO4uJ7hu2t2NUu4ZbI8/4wD0aXudncU0dS5QeJnIiZOSyqb2zTdnoYbm861lp
8AZ+PuUObqqWHwlIsTjdwNwdgMU2BkZHKdtlgBXBq6P3hpqraom5g5g=
=lRnL
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 16:05:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 11:05:39 2020
Received: from localhost ([127.0.0.1]:51670 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdy3X-0004gA-9B
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:05:39 -0500
Received: from lists.gnu.org ([209.51.188.17]:35354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdy3T-0004fu-HO
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:05:37 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:38016)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdy3T-0007Hc-Cm
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 11:05:35 -0500
Received: from relay12.mail.gandi.net ([217.70.178.232]:34095)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdy3R-0000NQ-9p
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 11:05:34 -0500
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id 6DF57200005;
 Sat, 14 Nov 2020 16:05:29 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <875z6858p1.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN> <875z6858p1.fsf@nckx>
Date: Sat, 14 Nov 2020 17:05:29 +0100
Message-ID: <87zh3jx6t2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=217.70.178.232; envelope-from=mail@HIDDEN;
 helo=relay12.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/14 11:05:31
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: 0
X-Spam_score: -0.1
X-Spam_bar: /
X-Spam_report: (-0.1 / 5.0 requ) BAYES_00=-1.9, FROM_SUSPICIOUS_NTLD=0.5,
 PDS_OTHER_BAD_TLD=1.999, RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

I think this is the old non-UTF8 encoding grafting issue (if you ask me,
I'll send you the link).  Try:

=2D-8<---------------cut here---------------start------------->8---
guix build --no-grafts nyxt
=2D-8<---------------cut here---------------end--------------->8---

If this is the case, nothing Nyxt can do here I'm afraid, as it's a Guix
issue with the reference scannr (it does not find non-UTF8 references).

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+wAEkSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/fWkH/0zl+hjKYTS28yEq5ZZLxvICBUFZ4BTD
JdV80e+MLsio6mPqQJqXufbZNCZMTNKV0GlhVUpjljuOvJ2vcUa3JYTEfsyHNofF
TcCxYco3jsAH6/qppZ7U3rGNKnstUs5FlfgnVdPLgcgVYvcKQfBWgT6IVzR5Ic30
sABk+jK8mj5EdxrJ6/jiRc6OrY0E1fBE3GzJFHqvYY+SOGVBdh+X7LPZ6y57jXTE
G86TO4uJ7hu2t2NUu4ZbI8/4wD0aXudncU0dS5QeJnIiZOSyqb2zTdnoYbm861lp
8AZ+PuUObqqWHwlIsTjdwNwdgMU2BkZHKdtlgBXBq6P3hpqraom5g5g=
=lRnL
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 16:03:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 11:03:50 2020
Received: from localhost ([127.0.0.1]:51655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdy1m-0004cI-Lv
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:03:50 -0500
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:37353)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdy1k-0004c4-CH
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:03:48 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id B0D4C1C0009;
 Sat, 14 Nov 2020 16:03:40 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87a6vkc5bt.fsf@HIDDEN>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN> <87a6vkc5bt.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 17:03:40 +0100
Message-ID: <87361cx6w3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Chris! Christopher Baines <mail@HIDDEN> writes: >>
 Any clue how to do that? > > I haven't been following along too closely,
 but I'm surprised guix repl > --type=machine hasn't been mentioned, is that
 relevant? 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [217.70.183.197 listed in wl.mailspike.net]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 44612
Cc: Tobias Geerinckx-Rice <me@HIDDEN>, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi Chris! Christopher Baines <mail@HIDDEN> writes: >>
    Any clue how to do that? > > I haven't been following along too closely,
   but I'm surprised guix repl > --type=machine hasn't been mentioned, is that
    relevant? 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [217.70.183.197 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi Chris!

Christopher Baines <mail@HIDDEN> writes:

>> Any clue how to do that?
>
> I haven't been following along too closely, but I'm surprised guix repl
> --type=3Dmachine hasn't been mentioned, is that relevant?

Ha, didn't know about this one, I should have read the manual more
closely!

Sadly, it doesn't cut it:

=2D-8<---------------cut here---------------start------------->8---
> echo '(display "Hi.\n")' | guix repl -t machine 2>/dev/null
(repl-version 0 1 1)
Hi.
(values (non-self-quoting 2052 "#<unspecified>"))
=2D-8<---------------cut here---------------end--------------->8---

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+v/9wSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/AfgH/jnShi4YLZVPIoXGbFQ3XdXNGXjymW0Z
EfkY1miG1w33AsJ0h4sO78CQA66D74+5RSv/ueVgRwaBimrIkMv5gIZTWkDLJUl0
GPTN0fgGLOIOu1w0VShKcE5FSsnhggswudcD8RqNbajPZ7pKkLDjLRl+Y2aeUqTG
KtHGNjg0xP3oIlpYs7y2HYATJkjddBQ52g+YjOQ+/uYukw0y+USvTZbPuNOmLIXc
OJNnfFwEh8LPRWUzBPavOoWitY+TcyTM5vyXYD7WvsG1W4wae5VErL/AaZCSxvIt
22rZ/krmidgbeQFsbhF9k5HozqndHqVKGCTgpmmDKQOiILYcj0N1swA=
=/PMc
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 15:43:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 10:43:07 2020
Received: from localhost ([127.0.0.1]:51641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdxhj-00046G-MG
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:43:07 -0500
Received: from mira.cbaines.net ([212.71.252.8]:42522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdxhi-000466-01
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:43:06 -0500
Received: from localhost (188.28.119.104.threembb.co.uk [188.28.119.104])
 by mira.cbaines.net (Postfix) with ESMTPSA id 0E97B27BBF4;
 Sat, 14 Nov 2020 15:43:05 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id cabb3cfb;
 Sat, 14 Nov 2020 15:43:02 +0000 (UTC)
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Christopher Baines <mail@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-reply-to: <87sg9cxeif.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 15:43:02 +0000
Message-ID: <87a6vkc5bt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Pierre Neidhardt <mail@HIDDEN> writes: > Hey Tobias,
 > > Always good to have someone actually test the stuff :) > > Tobias
 Geerinckx-Rice
 <me@HIDDEN> writes: > >> So far this looks like an (SB)CL(-specific) bug,
 right? Does it >> happen [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
X-Debbugs-Envelope-To: 44612
Cc: Tobias Geerinckx-Rice <me@HIDDEN>, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


Pierre Neidhardt <mail@HIDDEN> writes:

> Hey Tobias,
>
> Always good to have someone actually test the stuff :)
>
> Tobias Geerinckx-Rice <me@HIDDEN> writes:
>
>> So far this looks like an (SB)CL(-specific) bug, right?  Does it=20
>> happen anywhere else?  I tried Guile[0].
>
> Maybe there was a misunderstanding, it's not about Common Lisp.
> We can do easier than from Guile, i.e. from a shell:
>
> --8<---------------cut here---------------start------------->8---
> echo '(display "hello")' | guix repl
> --8<---------------cut here---------------end--------------->8---
>
> and... it works! O.o
>
> OK, my bad then, I mistested somehow.
>
> For future reference, it's also works in Common Lisp:
>
> --8<---------------cut here---------------start------------->8---
>> (with-input-from-string (s "(display \"foo\\n\")")
>            (uiop:run-program '("guix" "repl") :input s :output t :error-o=
utput nil))
> GNU Guile 3.0.4
> Copyright (C) 1995-2020 Free Software Foundation, Inc.
>
> Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
> This program is free software, and you are welcome to redistribute it
> under certain conditions; type `,show c' for details.
>
> Enter `,help' for help.
> foo
>
> --8<---------------cut here---------------end--------------->8---
>
> However this brings me to another issue: the program output is prefixed
> with the REPL welcome message which is printed to stdout.
>
> So ideally when we read from standard input we should not include the
> welcome message.
>
> Any clue how to do that?

I haven't been following along too closely, but I'm surprised guix repl
=2D-type=3Dmachine hasn't been mentioned, is that relevant?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKlBAEBCgCPFiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl+v+wZfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcRHG1haWxAY2Jh
aW5lcy5uZXQACgkQXiijOwuE9XeDQA//bIDVqo2UBiOBiCwCBwy9Z+vg0TGu+IEo
Sv7YNAAw5qzBlNMb5scyxviEqqz+kmk6MI0dOG6+3yuK9XAxLx3zCS1YGbsG8FCT
+EVL6XuinWrOjFiHhSUtebE9TbAZc+xc0KNX/FQTVSdd5iTKQleE2jCLSZwHU/Ci
OgoMgGiy2gMWN0hoOlroWjVwCtFMR7I2FTRT5GYcUuwyhv9zIvQkolb7X76V9S7W
cWoSQ8GI2yRMYubaF410JT9HY7Iew/AN31ZAz/Qivv03LCrahAETo01sWkQyUzD+
viuqy4khyp7yfxd5unaHHI3mV4N++P5WiUlA4FLrTnXqr4T4IaGfDUo5MaEepQch
3Ofgv003ZFp5IFxfPU5ywZ/tLyVQyLq82BxB4jhoGyOQJ4xFZdyPBU6hgVqsKhYy
8S6P9qmg+6rL5wDzsDbundGEUEzzIP47lHWZWh4cWuRMJSe7pSuuxEB8v/kLIBHj
FGGgJ5g/gAX7Tx9VkGcp/N8/sfY/I0zHI0k3OQMQGSB3toVU2OlVd/JJpRZRYZu/
5o98R2kj+WpoQnwOe516WCAEUrdsmiKF8faJpHKCQOk6Z0w+hxRQW+04GjO+IcPq
0CjfRQrJyKTltDxA7+Okl15hg1Z9PaVYeP4e4KM2tm4Bdgf4UuFB8BOwEBQNwnib
xdu310blWD0=
=CUny
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 15:36:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 10:36:34 2020
Received: from localhost ([127.0.0.1]:51633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdxbO-0003wL-Op
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:36:34 -0500
Received: from tobias.gr ([80.241.217.52]:36726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdxbL-0003wB-Gz
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:36:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=5HVszoiTwxenbMzFqPi4qJpZ2+kZDE2FVtIQKlGxwlU=; h=date:in-reply-to:
 references:subject:cc:from; b=BMbX9N8wHHsxx/lWWFqEBIoXl16hu7ch2GutSdpc
 h4wH2Q0VlGHxvnutccbPQhAsjFQwWgvHCtKk+13uIxFT3s8KH7hsj2ClHYfk2uBJ9oS/eF
 bWvOlxHmovkZwDsy4qYIdc86cbsY56QV1dwfPVaP76UMvyZ7DUZ6eb1XzYssDiJUlsma5J
 7AqJLCgPvSMF3Qdef3KvpBtvWDmxSHMozw5vg+3JD7d4dDDKwmwTe9ey8BEZWwLC8zA0DD
 +7z2qVQ9I3e0rn6VI4DBixjhJi+KERLymQ0Hx5HCrai/Smc/MxoIRQa6f1lE5SLNCtuDiI
 xxs/V7NMIf4uWaGZEMkJdg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id a610d295
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 15:36:34 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN> <878sb459cf.fsf@nckx>
 <87v9e8hter.fsf@yamatai> <87361c55gd.fsf@nckx>
In-reply-to: <87361c55gd.fsf@nckx>
Date: Sat, 14 Nov 2020 16:36:27 +0100
Message-ID: <87zh3k3q84.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 44612
Cc: Guillaume Le Vaillant <glv@HIDDEN>, bug-guix@HIDDEN, mail@HIDDEN,
 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--=-=-=
Content-Type: text/plain; format=flowed

The point is that people shouldn't have to resort to gross 
not-even-POSIX hacks just to get rid of this message.  Imagine 
typing

  ... | grep x /dev/stdin | uniq /dev/stdin | wc /dev/stdin

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX6/5fA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15bkcA/A/rBEtWrhFTryiJj3D7iNYs12uenw7b0uCWpK7D
eDcuAQCycikl3IYjaXO8LlaX6Zbgd8touBe75A4e5Ms9QC04BA==
=2+Gx
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 15:36:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 10:36:37 2020
Received: from localhost ([127.0.0.1]:51636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdxbQ-0003wa-UV
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:36:37 -0500
Received: from lists.gnu.org ([209.51.188.17]:47438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdxbP-0003wT-OI
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:36:36 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:58066)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdxbP-0006Om-GU
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 10:36:35 -0500
Received: from tobias.gr ([2a02:c205:2020:6054::1]:46772)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdxbN-0006N1-Dp
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 10:36:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=5HVszoiTwxenbMzFqPi4qJpZ2+kZDE2FVtIQKlGxwlU=; h=date:in-reply-to:
 references:subject:cc:from; b=BMbX9N8wHHsxx/lWWFqEBIoXl16hu7ch2GutSdpc
 h4wH2Q0VlGHxvnutccbPQhAsjFQwWgvHCtKk+13uIxFT3s8KH7hsj2ClHYfk2uBJ9oS/eF
 bWvOlxHmovkZwDsy4qYIdc86cbsY56QV1dwfPVaP76UMvyZ7DUZ6eb1XzYssDiJUlsma5J
 7AqJLCgPvSMF3Qdef3KvpBtvWDmxSHMozw5vg+3JD7d4dDDKwmwTe9ey8BEZWwLC8zA0DD
 +7z2qVQ9I3e0rn6VI4DBixjhJi+KERLymQ0Hx5HCrai/Smc/MxoIRQa6f1lE5SLNCtuDiI
 xxs/V7NMIf4uWaGZEMkJdg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id a610d295
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 15:36:34 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN> <878sb459cf.fsf@nckx>
 <87v9e8hter.fsf@yamatai> <87361c55gd.fsf@nckx>
In-reply-to: <87361c55gd.fsf@nckx>
Date: Sat, 14 Nov 2020 16:36:27 +0100
Message-ID: <87zh3k3q84.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, MISSING_HEADERS=1.021,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: submit
Cc: Guillaume Le Vaillant <glv@HIDDEN>, bug-guix@HIDDEN, mail@HIDDEN,
 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)

--=-=-=
Content-Type: text/plain; format=flowed

The point is that people shouldn't have to resort to gross 
not-even-POSIX hacks just to get rid of this message.  Imagine 
typing

  ... | grep x /dev/stdin | uniq /dev/stdin | wc /dev/stdin

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX6/5fA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15bkcA/A/rBEtWrhFTryiJj3D7iNYs12uenw7b0uCWpK7D
eDcuAQCycikl3IYjaXO8LlaX6Zbgd8touBe75A4e5Ms9QC04BA==
=2+Gx
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 15:22:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 10:22:19 2020
Received: from localhost ([127.0.0.1]:51570 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdxNb-0001RY-JB
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:22:19 -0500
Received: from tobias.gr ([80.241.217.52]:35716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdxNW-0001RL-NM
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:22:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=JwekEyZOlQ8/pmj2ecy4HIaoj4Y9c9gnYQqXEA5GeDI=; h=date:in-reply-to:
 references:subject:cc:to:from; b=YGOA6+QwTIn3pqXNp7cWlVl89fR+Xzq3pK/Dv
 Ajjf8ISgdhbz+0sfmkL3ltI+dEkEpxOQ3NWsh+NUJIKESzFO20uKkJK/Io7HafdeR2rSwA
 hvzhU1rmdLNEviCQrqyugf8Ix7VqgQzrQpcqtVZ5hYze/VJJ8gbCK7TXWRD1pJaD+wSC4X
 MkE0BDpNYx4VX4G3sknlE0t+jeKoKBL71mfZdY5naXfoX6diqBihqRdS0GD4MkvC6RhZbL
 h7tYZMklX1DpGd5QCZDcryMc7Hy7WkDs9d1Oa1XY1jk3LTbk3h6drRGtLSUa61XFPyBcfq
 5Ws+Na6+56C4U7K+pGILBdVaA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 342a1487
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 15:22:17 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Guillaume Le Vaillant <glv@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN> <878sb459cf.fsf@nckx>
 <87v9e8hter.fsf@yamatai>
In-reply-to: <87v9e8hter.fsf@yamatai>
Date: Sat, 14 Nov 2020 16:22:10 +0100
Message-ID: <87361c55gd.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, Pierre Neidhardt <mail@HIDDEN>,
 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Guillaume,

Guillaume Le Vaillant =E5=86=99=E9=81=93=EF=BC=9A
> It looks like you can get rid of the welcome message by using=20
> the '-s'
> option:

Wonderful!

But I'd tried =E2=80=98-s=E2=80=99 already:

  $ guile -s /tmp/scm
  GNU Guile 3.0.4
  Copyright (C) 1995-2020 Free Software Foundation, Inc.
  [...here we go again...]

That's starting to look like a bug.  Or rather, having to use=20
=E2=80=98/dev/stdin=E2=80=99 explicity is clearly an ugly work-around=20
for... something.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX6/2Iw0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15PbQA/jwhujeIpEwHP3DsDPhGnfq0ZRR5k7tOfi5hg79X
szjyAQDRNijejpa50L3vtOafbOgyPpZR0fZ6TOmU0Et5efNyBw==
=j+bl
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 15:22:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 10:22:23 2020
Received: from localhost ([127.0.0.1]:51573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdxNe-0001Ro-Ql
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:22:23 -0500
Received: from lists.gnu.org ([209.51.188.17]:37034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdxNd-0001Rh-DL
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:22:21 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:51370)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdxNd-0000iF-7z
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 10:22:21 -0500
Received: from tobias.gr ([2a02:c205:2020:6054::1]:45762)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdxNb-0000WA-4G
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 10:22:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=JwekEyZOlQ8/pmj2ecy4HIaoj4Y9c9gnYQqXEA5GeDI=; h=date:in-reply-to:
 references:subject:cc:to:from; b=YGOA6+QwTIn3pqXNp7cWlVl89fR+Xzq3pK/Dv
 Ajjf8ISgdhbz+0sfmkL3ltI+dEkEpxOQ3NWsh+NUJIKESzFO20uKkJK/Io7HafdeR2rSwA
 hvzhU1rmdLNEviCQrqyugf8Ix7VqgQzrQpcqtVZ5hYze/VJJ8gbCK7TXWRD1pJaD+wSC4X
 MkE0BDpNYx4VX4G3sknlE0t+jeKoKBL71mfZdY5naXfoX6diqBihqRdS0GD4MkvC6RhZbL
 h7tYZMklX1DpGd5QCZDcryMc7Hy7WkDs9d1Oa1XY1jk3LTbk3h6drRGtLSUa61XFPyBcfq
 5Ws+Na6+56C4U7K+pGILBdVaA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 342a1487
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 15:22:17 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Guillaume Le Vaillant <glv@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN> <878sb459cf.fsf@nckx>
 <87v9e8hter.fsf@yamatai>
In-reply-to: <87v9e8hter.fsf@yamatai>
Date: Sat, 14 Nov 2020 16:22:10 +0100
Message-ID: <87361c55gd.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, Pierre Neidhardt <mail@HIDDEN>,
 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Guillaume,

Guillaume Le Vaillant =E5=86=99=E9=81=93=EF=BC=9A
> It looks like you can get rid of the welcome message by using=20
> the '-s'
> option:

Wonderful!

But I'd tried =E2=80=98-s=E2=80=99 already:

  $ guile -s /tmp/scm
  GNU Guile 3.0.4
  Copyright (C) 1995-2020 Free Software Foundation, Inc.
  [...here we go again...]

That's starting to look like a bug.  Or rather, having to use=20
=E2=80=98/dev/stdin=E2=80=99 explicity is clearly an ugly work-around=20
for... something.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX6/2Iw0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15PbQA/jwhujeIpEwHP3DsDPhGnfq0ZRR5k7tOfi5hg79X
szjyAQDRNijejpa50L3vtOafbOgyPpZR0fZ6TOmU0Et5efNyBw==
=j+bl
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 15:07:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 10:07:37 2020
Received: from localhost ([127.0.0.1]:51487 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdx9M-00012i-QO
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:07:36 -0500
Received: from mout01.posteo.de ([185.67.36.65]:57637)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <glv@HIDDEN>) id 1kdx9L-00012O-BT
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:07:35 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id DEBD1160063
 for <44612 <at> debbugs.gnu.org>; Sat, 14 Nov 2020 16:07:28 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1605366448; bh=v1zTioV+6072CZtZOyPXugI4GDLAMBLJ9CXaIcx9oh0=;
 h=From:To:Cc:Subject:Date:From;
 b=giPuGZgcepQ0MyhyGzyAyrPem8Q2J5sN2qy3JH1dRZ4qZOpNG6I/vXWL/LzOdwxcN
 SQoKbdgpJOO2x0JDzTPWBk/itXmaNZDIUjoko3H2/192BP2udl9Z/QTTZaG0UG8NPB
 pIjPk86NbTsD70JIrLULLg22z8U0TL5W0KWrBW3DivX4ReZbgSHwV1Kj5eKWEp+w8q
 BjWXyJYqRVUEYlYOCcC7oEFw3cyrsqPUPMbrYA0M8fhK/71ArFKhLW/88uNu3qqqNp
 OOs1e+Y/XXj+9UzdOdZzgoxj8HEYyg/3o7Bg0c+W/Jcwc91/9JZANzL2exBCuOjIfE
 DxMQmgagXChWQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4CYJbh0CMkz9rxB;
 Sat, 14 Nov 2020 16:07:27 +0100 (CET)
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN> <878sb459cf.fsf@nckx>
 <87v9e8hter.fsf@yamatai>
User-agent: mu4e 1.4.13; emacs 27.1
From: Guillaume Le Vaillant <glv@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-reply-to: <87v9e8hter.fsf@yamatai>
Date: Sat, 14 Nov 2020 16:07:27 +0100
Message-ID: <87sg9cht8w.fsf@yamatai>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, Pierre Neidhardt <mail@HIDDEN>,
 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain


Guillaume Le Vaillant <glv@HIDDEN> skribis:

> It looks like you can get rid of the welcome message by using the '-s'
> option:
>
> $ echo '(display "Hi.\n")' | guile -s /dev/stdin
> Hi.

Or:
$ echo '(display "Hi.\n")' | guix repl /dev/stdin
Hi.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIUEAREKAC0WIQTLxZxm7Ce5cXlAaz5r6CCK3yH+PwUCX6/yrw8cZ2x2QHBvc3Rl
by5uZXQACgkQa+ggit8h/j9cnAEAhKcSFK1IydVFHJiC4siOuknkRUzpFUVzg5/w
inEn3CAA/RJno5Bi06y90Xbw/6QqgOmNq4cYe4Qm2BZnbyhFIi7M
=544R
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 15:07:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 10:07:36 2020
Received: from localhost ([127.0.0.1]:51485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdx9M-00012g-K5
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:07:36 -0500
Received: from lists.gnu.org ([209.51.188.17]:59478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <glv@HIDDEN>) id 1kdx9L-00012T-0o
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:07:35 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:47526)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <glv@HIDDEN>) id 1kdx9J-0005o9-VS
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 10:07:34 -0500
Received: from mout02.posteo.de ([185.67.36.66]:50417)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <glv@HIDDEN>) id 1kdx9H-0003hO-V2
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 10:07:33 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id D3A582400FD
 for <bug-guix@HIDDEN>; Sat, 14 Nov 2020 16:07:28 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1605366448; bh=v1zTioV+6072CZtZOyPXugI4GDLAMBLJ9CXaIcx9oh0=;
 h=From:To:Cc:Subject:Date:From;
 b=giPuGZgcepQ0MyhyGzyAyrPem8Q2J5sN2qy3JH1dRZ4qZOpNG6I/vXWL/LzOdwxcN
 SQoKbdgpJOO2x0JDzTPWBk/itXmaNZDIUjoko3H2/192BP2udl9Z/QTTZaG0UG8NPB
 pIjPk86NbTsD70JIrLULLg22z8U0TL5W0KWrBW3DivX4ReZbgSHwV1Kj5eKWEp+w8q
 BjWXyJYqRVUEYlYOCcC7oEFw3cyrsqPUPMbrYA0M8fhK/71ArFKhLW/88uNu3qqqNp
 OOs1e+Y/XXj+9UzdOdZzgoxj8HEYyg/3o7Bg0c+W/Jcwc91/9JZANzL2exBCuOjIfE
 DxMQmgagXChWQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4CYJbh0CMkz9rxB;
 Sat, 14 Nov 2020 16:07:27 +0100 (CET)
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN> <878sb459cf.fsf@nckx>
 <87v9e8hter.fsf@yamatai>
User-agent: mu4e 1.4.13; emacs 27.1
From: Guillaume Le Vaillant <glv@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-reply-to: <87v9e8hter.fsf@yamatai>
Date: Sat, 14 Nov 2020 16:07:27 +0100
Message-ID: <87sg9cht8w.fsf@yamatai>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=185.67.36.66; envelope-from=glv@HIDDEN;
 helo=mout02.posteo.de
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/14 10:07:29
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, Pierre Neidhardt <mail@HIDDEN>,
 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain


Guillaume Le Vaillant <glv@HIDDEN> skribis:

> It looks like you can get rid of the welcome message by using the '-s'
> option:
>
> $ echo '(display "Hi.\n")' | guile -s /dev/stdin
> Hi.

Or:
$ echo '(display "Hi.\n")' | guix repl /dev/stdin
Hi.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIUEAREKAC0WIQTLxZxm7Ce5cXlAaz5r6CCK3yH+PwUCX6/yrw8cZ2x2QHBvc3Rl
by5uZXQACgkQa+ggit8h/j9cnAEAhKcSFK1IydVFHJiC4siOuknkRUzpFUVzg5/w
inEn3CAA/RJno5Bi06y90Xbw/6QqgOmNq4cYe4Qm2BZnbyhFIi7M
=544R
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 15:04:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 10:04:21 2020
Received: from localhost ([127.0.0.1]:51477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdx6C-0000xY-Iv
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:04:21 -0500
Received: from mout02.posteo.de ([185.67.36.66]:49785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <glv@HIDDEN>) id 1kdx6A-0000xD-JP
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:04:19 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 424FC2400FD
 for <44612 <at> debbugs.gnu.org>; Sat, 14 Nov 2020 16:04:09 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1605366252; bh=n8S9F565EIltJgwdLwrEViqZ0SBuLMcGvQYffTqUkFI=;
 h=From:To:Cc:Subject:Date:From;
 b=Sp3OI5yxudnqdKmrhi4eiZOb2IordxJU6sYBj0VuXt52Hxv++bLz0JiMfMV6NDr4O
 QVEXca1w39mnk+rJGQBVHkP5jkfE5DBU8gQTVz0RLdJ54AIHPlxzjjUDmsXiQ1XOyE
 cAtgPrjvmOBNaUJDPE/Fw2DM7cZBd25CX1ulI9Mmg+Ku5Rr59keuWA9cvWdWozE9dB
 soXwuFAQ3qlqHi/NR5BNQhQZvBaIqLmp/MeJv3nw0hKPADJvzNeJTSS7w3BPEtPeHt
 1dxAl3q8dPVwn/Fx8n3zJRPRYlWDMP48mYIAKbadX3Ppd/DRE7dMUXvPzDeaCnv443
 I9p+DkZK4TPIQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4CYJWr2S4sz9rxN;
 Sat, 14 Nov 2020 16:04:05 +0100 (CET)
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN> <878sb459cf.fsf@nckx>
User-agent: mu4e 1.4.13; emacs 27.1
From: Guillaume Le Vaillant <glv@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-reply-to: <878sb459cf.fsf@nckx>
Date: Sat, 14 Nov 2020 16:03:56 +0100
Message-ID: <87v9e8hter.fsf@yamatai>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, Pierre Neidhardt <mail@HIDDEN>,
 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Tobias Geerinckx-Rice via Bug reports for GNU Guix <bug-guix@HIDDEN> skrib=
is:

> Pierre,
>
> Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
>> and... it works! O.o
>
> Don't you hate it when that happens?  Ban bug suicide.
>
> (Does that mean this one can be closed?  Or retitled, if we want to debug
> Nyxt? :-)
>
>> For future reference, it's also works in Common Lisp:
>>            (uiop:run-program '("guix" "repl") :input s :output
>> t            :error-output nil))
>
> Well, I stranded trying to import (or whatever the CL term is) UIOP itsel=
f, but
> my Common Lisp-fu is hella weak.
>
>> However this brings me to another issue: the program output is prefixed
>> with the REPL welcome message which is printed to stdout.
>>
>> So ideally when we read from standard input we should not include the
>> welcome message.
>
> That's a question for Guile channels, but I totally agree.  It's annoying=
 and
> nowhere near =E2=80=98an interactive mode=E2=80=99 as suggested by the GP=
L3.
>
> This is sensible:
>
>  $ echo echo Hi. | bash
>  Hi.
>  $=20
> This is not:
>
>  $ echo '(display "Hi.\n")' | guile
>  GNU Guile 3.0.2
>  Copyright (C) 1995-2020 Free Software Foundation, Inc.
>
>  Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show   w'.
>  This program is free software, and you are welcome to   redistribute it
>  under certain conditions; type `,show c' for details.
>
>  Enter `,help' for help.
>  Hi.
>  scheme@(guile-user)>   $
>
>> Any clue how to do that?
>
> The following line in my ~/.guile does just that:
>
>  (set! repl-welcome (const #t))
>
> ...unfortunately, it doesn't work late:
>
>  $ echo '(use-modules ((system repl common))) \
>    (set! repl-welcome (const #t))' | guix repl
>  [shouty noises]
>  $
>
> It does not appear documented if and how you'd make Guile load a different
> (Nyxt-specific) init file name.
>
> This reminds me: do you want Nyxt to call =E2=80=98guix repl -q=E2=80=99 =
to skip loading
> ~/.guile to make your UI more predictable & debuggable? Or keep it as an =
escape
> hatch for cool hacks?
>
> Kind regards,
>
> T G-R

It looks like you can get rid of the welcome message by using the '-s'
option:

$ echo '(display "Hi.\n")' | guile -s /dev/stdin
Hi.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIUEAREKAC0WIQTLxZxm7Ce5cXlAaz5r6CCK3yH+PwUCX6/x3A8cZ2x2QHBvc3Rl
by5uZXQACgkQa+ggit8h/j9jgAD+M+lMQFSN+TES1ViTu9+s6BCWIPtThBSSfR33
TyQvmJwA/AvjXzW3lziOqDpVnicfWWIaHUuuxXVkMfpx9DNxTrOH
=HjO3
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 15:04:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 10:04:20 2020
Received: from localhost ([127.0.0.1]:51475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdx6C-0000xV-9z
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:04:20 -0500
Received: from lists.gnu.org ([209.51.188.17]:58650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <glv@HIDDEN>) id 1kdx6A-0000xJ-RO
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 10:04:19 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:46992)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <glv@HIDDEN>) id 1kdx6A-0005Dd-Lj
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 10:04:18 -0500
Received: from mout01.posteo.de ([185.67.36.65]:55124)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <glv@HIDDEN>) id 1kdx66-0002Pz-T3
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 10:04:18 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 14081160060
 for <bug-guix@HIDDEN>; Sat, 14 Nov 2020 16:04:09 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1605366250; bh=n8S9F565EIltJgwdLwrEViqZ0SBuLMcGvQYffTqUkFI=;
 h=From:To:Cc:Subject:Date:From;
 b=AupVHXBblQ01vwDI4LGErxH4tesEfNoKU8A11amRZK8AvzY+iJUSzM2CkGoFBPe9C
 qiWbewB6cjgEPdRz38sx2K3mueu8szw9hK6aP/qUaadgGrkOxOAdMdaaSV3IlX48Gz
 QBX80EkaEHVHpEjYociM/03aoEzWVElPxbZum2Ic0xDaLKSY7kgpBRXpMPvIVnxH03
 mRwI4lg1FmdtZPiM+Rf31FhyjHvtZV5xUP5DEx9S0nJiYPnHyIsjR6XCEIPJlKdOus
 fLTW2mbYRvPJYk13sQUvFg6Q84n5WDhrKvT0Pk76SBrixXI6t0nQ6ZZpvG/QthN0r3
 r8jGsInnWPvkQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4CYJWr2S4sz9rxN;
 Sat, 14 Nov 2020 16:04:05 +0100 (CET)
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN> <878sb459cf.fsf@nckx>
User-agent: mu4e 1.4.13; emacs 27.1
From: Guillaume Le Vaillant <glv@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-reply-to: <878sb459cf.fsf@nckx>
Date: Sat, 14 Nov 2020 16:03:56 +0100
Message-ID: <87v9e8hter.fsf@yamatai>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=185.67.36.65; envelope-from=glv@HIDDEN;
 helo=mout01.posteo.de
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/14 10:04:10
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, Pierre Neidhardt <mail@HIDDEN>,
 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Tobias Geerinckx-Rice via Bug reports for GNU Guix <bug-guix@HIDDEN> skrib=
is:

> Pierre,
>
> Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
>> and... it works! O.o
>
> Don't you hate it when that happens?  Ban bug suicide.
>
> (Does that mean this one can be closed?  Or retitled, if we want to debug
> Nyxt? :-)
>
>> For future reference, it's also works in Common Lisp:
>>            (uiop:run-program '("guix" "repl") :input s :output
>> t            :error-output nil))
>
> Well, I stranded trying to import (or whatever the CL term is) UIOP itsel=
f, but
> my Common Lisp-fu is hella weak.
>
>> However this brings me to another issue: the program output is prefixed
>> with the REPL welcome message which is printed to stdout.
>>
>> So ideally when we read from standard input we should not include the
>> welcome message.
>
> That's a question for Guile channels, but I totally agree.  It's annoying=
 and
> nowhere near =E2=80=98an interactive mode=E2=80=99 as suggested by the GP=
L3.
>
> This is sensible:
>
>  $ echo echo Hi. | bash
>  Hi.
>  $=20
> This is not:
>
>  $ echo '(display "Hi.\n")' | guile
>  GNU Guile 3.0.2
>  Copyright (C) 1995-2020 Free Software Foundation, Inc.
>
>  Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show   w'.
>  This program is free software, and you are welcome to   redistribute it
>  under certain conditions; type `,show c' for details.
>
>  Enter `,help' for help.
>  Hi.
>  scheme@(guile-user)>   $
>
>> Any clue how to do that?
>
> The following line in my ~/.guile does just that:
>
>  (set! repl-welcome (const #t))
>
> ...unfortunately, it doesn't work late:
>
>  $ echo '(use-modules ((system repl common))) \
>    (set! repl-welcome (const #t))' | guix repl
>  [shouty noises]
>  $
>
> It does not appear documented if and how you'd make Guile load a different
> (Nyxt-specific) init file name.
>
> This reminds me: do you want Nyxt to call =E2=80=98guix repl -q=E2=80=99 =
to skip loading
> ~/.guile to make your UI more predictable & debuggable? Or keep it as an =
escape
> hatch for cool hacks?
>
> Kind regards,
>
> T G-R

It looks like you can get rid of the welcome message by using the '-s'
option:

$ echo '(display "Hi.\n")' | guile -s /dev/stdin
Hi.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIUEAREKAC0WIQTLxZxm7Ce5cXlAaz5r6CCK3yH+PwUCX6/x3A8cZ2x2QHBvc3Rl
by5uZXQACgkQa+ggit8h/j9jgAD+M+lMQFSN+TES1ViTu9+s6BCWIPtThBSSfR33
TyQvmJwA/AvjXzW3lziOqDpVnicfWWIaHUuuxXVkMfpx9DNxTrOH
=HjO3
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 14:26:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 09:26:37 2020
Received: from localhost ([127.0.0.1]:50185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdwVh-00063Q-57
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 09:26:37 -0500
Received: from mail-wm1-f45.google.com ([209.85.128.45]:56094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kdwVd-00063A-Ux
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 09:26:35 -0500
Received: by mail-wm1-f45.google.com with SMTP id c9so18735828wml.5
 for <44612 <at> debbugs.gnu.org>; Sat, 14 Nov 2020 06:26:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=6T7akRAqq/N2aN2Arn87yaua2v2spHDwGZ98oXHW0dU=;
 b=U7V5P0wzxbvpcHAGSD3hRjb8Nt1LoEGwEMfPy/mR4D1hiJVSmkVXVlDXD6OJ68RlVC
 LFhZy/sXgaEKHPAQQxd6s8OJOoxQN12ohN3Ndgn/N/PD0MDtPc6V55FUTte9Vogfm74l
 SBneNK/EvvFDtUx3RMmZ6zvUgyNugbFEmw/a3vW/s8UHRUZu1ZmnUO2n4O5Mi8DPMFh8
 jBer+kHHsDbaAl7w+5/UTOrCRrfFQJ6SKnA75ebDnNVC2rpWx2hMvIFc4bnufJHezF9G
 Sc8ZsAXUxOy8dygOxhjvy5Uzg4G+HNqhc1Sc2TaiRjs9/trTj/kgbhKp/PABwClGmPVu
 PUTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=6T7akRAqq/N2aN2Arn87yaua2v2spHDwGZ98oXHW0dU=;
 b=dfhJ59RMmJ9k9j1XcYtSVUrxEBovPBzcwCb3NObfL6nJN+rzPQermlr5y3bXy7H7Vb
 9NzwjWsCHVDGwf7FFLWcFSgxmy7KVQBcjaD8QWcCyBlKqXk+ad+fcZTFW02isg6NbjNO
 WmL94SAL//j/wvO1x8fiCnDxuldPzKjRkzLtGsRA5WHdNqxnB7J2AlfuHYmpmoSeqr3v
 zKbSKLjx5thA4VcXWNsa6PUGzEeuv8eQjszMQdaSRIteP1niyu7pLWWT7kK4felAaD8c
 QFeZGxI0htcdI9Ib9kfJXh/cutKLmkhI9CcUE8MhQjP1kvYDg3bCeF5yWJIUofjnmpgq
 VDeQ==
X-Gm-Message-State: AOAM531d8iik9mto5tdCs7HNlyyhEBMRrHgIKaJHyiWTgIXRh/Zt1aTM
 J92hoecf1zg44S/gFKcDpzH405UJ/egsRQ==
X-Google-Smtp-Source: ABdhPJwD9KH5xZ8r2CLBkgyJbRPtu7YY2qgQ8rgykAYKYuptx82YvMK0L0hQ8ykA6uP6UYnUjBUdQQ==
X-Received: by 2002:a7b:cf1a:: with SMTP id l26mr7160888wmg.18.1605363987749; 
 Sat, 14 Nov 2020 06:26:27 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id m3sm10741590wrv.6.2020.11.14.06.26.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 Nov 2020 06:26:27 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>, Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87h7ps8duy.fsf@HIDDEN>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 13:09:54 +0100
Message-ID: <86a6vkywa5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi Pierre, On Sat, 14 Nov 2020 at 10:52, Pierre Neidhardt
   wrote: > Tobias Geerinckx-Rice writes: > >> A magic ‘-’ alias is nice,
    providing ‘guix repl -- -’ still DTRT >> (I know, who does that, but
   s [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (zimon.toutoune[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.128.45 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.128.45 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 44612
Cc: 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi Pierre,

On Sat, 14 Nov 2020 at 10:52, Pierre Neidhardt <mail@HIDDEN> wrote:
> Tobias Geerinckx-Rice <me@HIDDEN> writes:
>
>> A magic =E2=80=98-=E2=80=99 alias is nice, providing =E2=80=98guix repl =
-- -=E2=80=99 still DTRT=20
>> (I know, who does that, but still).
>>
>> But why can't you just pipe your input into =E2=80=98guix repl=E2=80=99 =
now?
>
> It does not work now, I haven't looked at the details.

It does with the plain shell pipe =E2=80=99|=E2=80=99:

--8<---------------cut here---------------start------------->8---
$ echo 42 | guix repl
GNU Guile 3.0.4
Copyright (C) 1995-2020 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
$1 =3D 42
scheme@(guix-user)>
$=20
--8<---------------cut here---------------end--------------->8---

Another example here:

  <https://yhetil.org/guix-bugs/86mtzkdhet.fsf@HIDDEN>


Please look at the details.

All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 14:12:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 09:12:17 2020
Received: from localhost ([127.0.0.1]:50148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdwHp-0005hH-16
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 09:12:17 -0500
Received: from tobias.gr ([80.241.217.52]:34314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdwHl-0005h6-DE
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 09:12:15 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=y0RUY/MTK4Ugho8C1H5reh2iR978011ggt1ldGQQx0c=; h=date:in-reply-to:
 references:subject:cc:to:from; b=ld+Ezw+7Cw4B1FYENiZW9hruUhaoyPaeIG2qM
 qA4QzZexgQRHl2xcWSuhHfWpsJR6GG/RY4z6TUTgcYiGQoaUqW/pLC3rZTfrGv3qqAw5Qs
 xV57ZPX6FDl8jmXpGiFrBYeWYEEAToNBYEnkpgqHJfPcvIRDFpVE05Q1A7qDFxn9PIYdza
 AQdjQ1y6AsUFA8y0VzI8bcnZhSaGSyev5J2QItQMaoEnIDDwodGjP/aK3KxvQWHH8GWJMj
 hfplOK0oHr1t5hehBCJQrkEUNtW8cnaW1E1Xfgs5e+l22+PYOR6NG5OIAyvjAgIxpUPzeb
 GkihXw4gfAUTnlQonb+zU8klg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 1b9785f4
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 14:12:16 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN>
In-reply-to: <87pn4gxe8q.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 15:12:10 +0100
Message-ID: <875z6858p1.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> Tobias Geerinckx-Rice <me@HIDDEN> writes:
>
>> To =E2=80=98it does not work=E2=80=99 I can reply only that Nyxt doesn't=
 build=20
>> [log attached] on current master
>
> Shoot! :p
>
> Which architecture?

Boring old x86_64 I'm afraid.

> I builds for me on x86-64 at commit
> 403ba4140f52b9ea9483e4c775f102bbb9753e51.

I pulled to that commit but it's still the same ungrafted=20
derivation=20
(/gnu/store/bdi8dq8i3f59zxp7jrabas847dh80m7x-nyxt-2-pre-release-4.drv).

Building for the fourth time now, with -{M,c}1...

...nope, always the same error:

  Unhandled ASDF/FIND-COMPONENT:MISSING-DEPENDENCY in thread
    #<SB-THREAD:THREAD "main thread" RUNNING {1001898213}>:
  Component "cl-base64" not found, required by #<SYSTEM "dexador">

So I'm surprised it does build for you.  Weak Lisp-fu or not, that=20
looks pretty deterministic to me.  Weird.

> Or is it a reproducibility issue?

No, it's an error in the =E2=80=98build=E2=80=99 phase.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX6/lug0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15SWABAKS4mLnPvAfxoVn4LSawPvmpu/uhhODO517dLtrj
Fl/0AP9UNXJU0+QECLOcHw1sqCW8Zxnui3eUbSGro3c0yoVrCg==
=s89g
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 14:12:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 09:12:23 2020
Received: from localhost ([127.0.0.1]:50151 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdwHs-0005hX-94
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 09:12:23 -0500
Received: from lists.gnu.org ([209.51.188.17]:39214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdwHq-0005hQ-NM
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 09:12:18 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:38260)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdwHq-0002fL-Ig
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 09:12:18 -0500
Received: from tobias.gr ([2a02:c205:2020:6054::1]:44360)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdwHo-0000o1-HT
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 09:12:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=y0RUY/MTK4Ugho8C1H5reh2iR978011ggt1ldGQQx0c=; h=date:in-reply-to:
 references:subject:cc:to:from; b=ld+Ezw+7Cw4B1FYENiZW9hruUhaoyPaeIG2qM
 qA4QzZexgQRHl2xcWSuhHfWpsJR6GG/RY4z6TUTgcYiGQoaUqW/pLC3rZTfrGv3qqAw5Qs
 xV57ZPX6FDl8jmXpGiFrBYeWYEEAToNBYEnkpgqHJfPcvIRDFpVE05Q1A7qDFxn9PIYdza
 AQdjQ1y6AsUFA8y0VzI8bcnZhSaGSyev5J2QItQMaoEnIDDwodGjP/aK3KxvQWHH8GWJMj
 hfplOK0oHr1t5hehBCJQrkEUNtW8cnaW1E1Xfgs5e+l22+PYOR6NG5OIAyvjAgIxpUPzeb
 GkihXw4gfAUTnlQonb+zU8klg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 1b9785f4
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 14:12:16 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87pn4gxe8q.fsf@HIDDEN>
In-reply-to: <87pn4gxe8q.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 15:12:10 +0100
Message-ID: <875z6858p1.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> Tobias Geerinckx-Rice <me@HIDDEN> writes:
>
>> To =E2=80=98it does not work=E2=80=99 I can reply only that Nyxt doesn't=
 build=20
>> [log attached] on current master
>
> Shoot! :p
>
> Which architecture?

Boring old x86_64 I'm afraid.

> I builds for me on x86-64 at commit
> 403ba4140f52b9ea9483e4c775f102bbb9753e51.

I pulled to that commit but it's still the same ungrafted=20
derivation=20
(/gnu/store/bdi8dq8i3f59zxp7jrabas847dh80m7x-nyxt-2-pre-release-4.drv).

Building for the fourth time now, with -{M,c}1...

...nope, always the same error:

  Unhandled ASDF/FIND-COMPONENT:MISSING-DEPENDENCY in thread
    #<SB-THREAD:THREAD "main thread" RUNNING {1001898213}>:
  Component "cl-base64" not found, required by #<SYSTEM "dexador">

So I'm surprised it does build for you.  Weak Lisp-fu or not, that=20
looks pretty deterministic to me.  Weird.

> Or is it a reproducibility issue?

No, it's an error in the =E2=80=98build=E2=80=99 phase.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX6/lug0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15SWABAKS4mLnPvAfxoVn4LSawPvmpu/uhhODO517dLtrj
Fl/0AP9UNXJU0+QECLOcHw1sqCW8Zxnui3eUbSGro3c0yoVrCg==
=s89g
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 13:58:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 08:58:18 2020
Received: from localhost ([127.0.0.1]:50134 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdw4I-0005Kk-5C
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 08:58:18 -0500
Received: from tobias.gr ([80.241.217.52]:34298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdw4B-0005KV-AU
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 08:58:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=4Wy0R50Xk5bnNPcEiiJj6VJOHhxCJwEq7SYOgdarzFs=; h=date:in-reply-to:
 references:subject:cc:to:from; b=ZJi2RHq1poeazXxwL6tmDrQnWqj52c5Pkfu97
 0s2WRXfKoWglaXsljit5pIMa/vL0f4XRM59sf/ScPy8v+HeMSN0+qZx6t+HaO89oY2mSyJ
 DAVNwWT5dMlQkrQRgVaH5wrz+/SX4hXO/0PvZ9o3nAbhwuXq3Ms9FqndDcuJ1L8YPpSlHi
 9zWh6J699Ws80gPZ3GZitYfNfHo5ATLT+F3gd4oK6ssstsKFB+6yDUAoP5sfQNl4nvxBiu
 hyrL1KVjSEFygQCZhWvSMHepRDDQuWwN87+N7Iy86amd4HeDcuFI3ueHnchlGUya4+OdST
 +kdg/gYl5O4DJH2EuAOMo0NVw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 33667598
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 13:58:14 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN>
In-reply-to: <87sg9cxeif.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 14:58:08 +0100
Message-ID: <878sb459cf.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre,

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> and... it works! O.o

Don't you hate it when that happens?  Ban bug suicide.

(Does that mean this one can be closed?  Or retitled, if we want=20
to debug Nyxt? :-)

> For future reference, it's also works in Common Lisp:
>            (uiop:run-program '("guix" "repl") :input s :output t=20
>            :error-output nil))

Well, I stranded trying to import (or whatever the CL term is)=20
UIOP itself, but my Common Lisp-fu is hella weak.

> However this brings me to another issue: the program output is=20
> prefixed
> with the REPL welcome message which is printed to stdout.
>
> So ideally when we read from standard input we should not=20
> include the
> welcome message.

That's a question for Guile channels, but I totally agree.  It's=20
annoying and nowhere near =E2=80=98an interactive mode=E2=80=99 as suggeste=
d by=20
the GPL3.

This is sensible:

  $ echo echo Hi. | bash
  Hi.
  $=20

This is not:

  $ echo '(display "Hi.\n")' | guile
  GNU Guile 3.0.2
  Copyright (C) 1995-2020 Free Software Foundation, Inc.

  Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show=20
  w'.
  This program is free software, and you are welcome to=20
  redistribute it
  under certain conditions; type `,show c' for details.

  Enter `,help' for help.
  Hi.
  scheme@(guile-user)>=20
  $

> Any clue how to do that?

The following line in my ~/.guile does just that:

  (set! repl-welcome (const #t))

...unfortunately, it doesn't work late:

  $ echo '(use-modules ((system repl common))) \
    (set! repl-welcome (const #t))' | guix repl
  [shouty noises]
  $

It does not appear documented if and how you'd make Guile load a=20
different (Nyxt-specific) init file name.

This reminds me: do you want Nyxt to call =E2=80=98guix repl -q=E2=80=99 to=
 skip=20
loading ~/.guile to make your UI more predictable & debuggable?=20
Or keep it as an escape hatch for cool hacks?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX6/icA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15ICMA/jt/UtVrFy2qKaoXsWJun/DlyE6tSEQrVSiE46Nf
xmFKAQDOfu+Wd2oTcyuDRF2pqsTg/LW88E6y9swve8dB88QnDQ==
=Sz3u
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 13:58:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 08:58:19 2020
Received: from localhost ([127.0.0.1]:50137 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdw4J-0005Ky-E7
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 08:58:19 -0500
Received: from lists.gnu.org ([209.51.188.17]:35692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdw4I-0005Kr-Kx
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 08:58:18 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:34600)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdw4I-0008NP-CJ
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 08:58:18 -0500
Received: from tobias.gr ([80.241.217.52]:51244)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdw4E-0004Hg-H3
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 08:58:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=4Wy0R50Xk5bnNPcEiiJj6VJOHhxCJwEq7SYOgdarzFs=; h=date:in-reply-to:
 references:subject:cc:to:from; b=ZJi2RHq1poeazXxwL6tmDrQnWqj52c5Pkfu97
 0s2WRXfKoWglaXsljit5pIMa/vL0f4XRM59sf/ScPy8v+HeMSN0+qZx6t+HaO89oY2mSyJ
 DAVNwWT5dMlQkrQRgVaH5wrz+/SX4hXO/0PvZ9o3nAbhwuXq3Ms9FqndDcuJ1L8YPpSlHi
 9zWh6J699Ws80gPZ3GZitYfNfHo5ATLT+F3gd4oK6ssstsKFB+6yDUAoP5sfQNl4nvxBiu
 hyrL1KVjSEFygQCZhWvSMHepRDDQuWwN87+N7Iy86amd4HeDcuFI3ueHnchlGUya4+OdST
 +kdg/gYl5O4DJH2EuAOMo0NVw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 33667598
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 13:58:14 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
 <87sg9cxeif.fsf@HIDDEN>
In-reply-to: <87sg9cxeif.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 14:58:08 +0100
Message-ID: <878sb459cf.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=80.241.217.52; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/14 08:58:11
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre,

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> and... it works! O.o

Don't you hate it when that happens?  Ban bug suicide.

(Does that mean this one can be closed?  Or retitled, if we want=20
to debug Nyxt? :-)

> For future reference, it's also works in Common Lisp:
>            (uiop:run-program '("guix" "repl") :input s :output t=20
>            :error-output nil))

Well, I stranded trying to import (or whatever the CL term is)=20
UIOP itself, but my Common Lisp-fu is hella weak.

> However this brings me to another issue: the program output is=20
> prefixed
> with the REPL welcome message which is printed to stdout.
>
> So ideally when we read from standard input we should not=20
> include the
> welcome message.

That's a question for Guile channels, but I totally agree.  It's=20
annoying and nowhere near =E2=80=98an interactive mode=E2=80=99 as suggeste=
d by=20
the GPL3.

This is sensible:

  $ echo echo Hi. | bash
  Hi.
  $=20

This is not:

  $ echo '(display "Hi.\n")' | guile
  GNU Guile 3.0.2
  Copyright (C) 1995-2020 Free Software Foundation, Inc.

  Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show=20
  w'.
  This program is free software, and you are welcome to=20
  redistribute it
  under certain conditions; type `,show c' for details.

  Enter `,help' for help.
  Hi.
  scheme@(guile-user)>=20
  $

> Any clue how to do that?

The following line in my ~/.guile does just that:

  (set! repl-welcome (const #t))

...unfortunately, it doesn't work late:

  $ echo '(use-modules ((system repl common))) \
    (set! repl-welcome (const #t))' | guix repl
  [shouty noises]
  $

It does not appear documented if and how you'd make Guile load a=20
different (Nyxt-specific) init file name.

This reminds me: do you want Nyxt to call =E2=80=98guix repl -q=E2=80=99 to=
 skip=20
loading ~/.guile to make your UI more predictable & debuggable?=20
Or keep it as an escape hatch for cool hacks?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX6/icA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15ICMA/jt/UtVrFy2qKaoXsWJun/DlyE6tSEQrVSiE46Nf
xmFKAQDOfu+Wd2oTcyuDRF2pqsTg/LW88E6y9swve8dB88QnDQ==
=Sz3u
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 13:25:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 08:25:03 2020
Received: from localhost ([127.0.0.1]:50108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdvY7-0004Yg-61
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 08:25:03 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:51353)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdvY5-0004Xv-2h
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 08:25:01 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 8EAAD40008;
 Sat, 14 Nov 2020 13:24:54 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87lff46v32.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
Date: Sat, 14 Nov 2020 14:24:53 +0100
Message-ID: <87pn4gxe8q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Tobias Geerinckx-Rice <me@HIDDEN> writes: > To ‘it does
    not work’ I can reply only that Nyxt doesn't build > [log attached] on
   current master Shoot! :p 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.194 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Tobias Geerinckx-Rice <me@HIDDEN> writes: > To ‘it does
    not work’ I can reply only that Nyxt doesn't build > [log attached] on
   current master Shoot! :p 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.194 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice <me@HIDDEN> writes:

> To =E2=80=98it does not work=E2=80=99 I can reply only that Nyxt doesn't =
build=20
> [log attached] on current master

Shoot! :p

Which architecture?

I builds for me on x86-64 at commit
403ba4140f52b9ea9483e4c775f102bbb9753e51.

I've released Nyxt 2-pre-release-4 a few days ago and I've used it to
build the Guix pack, so your feedback is surprising.

Or is it a reproducibility issue?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+v2qUSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x//C4IAKEggPFLkQ6Bfdxew7ZWwqzWOaC73xrJ
+h9ts2jUlyMnlE55JWo/Fm2McPTF2TsdMwAiu+WOKlyQ9/WK8vrY0gn0C6HwarPn
0ab5sGooFdV9zaAbw6REq5nKGKEfGBew6Akw4kF+q61tQWKvdPN1Zl4fW5shsC6L
S+3VBSqTVtT2a08q/TdiH9jn7efXpn63BiO9jN2pfoUMUvMRuADTDStojrCmazGl
oxGvy4ljHESdiHpNUlzs6Y9qpHjdpK+Wlgd080i0OBeP1LO8mIt8NpcWkTzu4dE/
OzUl8EX7fa6QtVeNLk5khj7YKUiSIw4PSDP29hOyy63ldsocGqKd6nY=
=++Te
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 13:25:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 08:25:03 2020
Received: from localhost ([127.0.0.1]:50106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdvY6-0004Yd-Eu
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 08:25:03 -0500
Received: from lists.gnu.org ([209.51.188.17]:57042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdvY4-0004Y1-6e
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 08:25:00 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:58040)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdvY4-00038n-17
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 08:25:00 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:57561)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdvY2-00010X-63
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 08:24:59 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 8EAAD40008;
 Sat, 14 Nov 2020 13:24:54 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87lff46v32.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
Date: Sat, 14 Nov 2020 14:24:53 +0100
Message-ID: <87pn4gxe8q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=217.70.183.194; envelope-from=mail@HIDDEN;
 helo=relay2-d.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/14 08:24:55
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: 6
X-Spam_score: 0.6
X-Spam_bar: /
X-Spam_report: (0.6 / 5.0 requ) BAYES_00=-1.9, FROM_SUSPICIOUS_NTLD=0.5,
 PDS_OTHER_BAD_TLD=1.999, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice <me@HIDDEN> writes:

> To =E2=80=98it does not work=E2=80=99 I can reply only that Nyxt doesn't =
build=20
> [log attached] on current master

Shoot! :p

Which architecture?

I builds for me on x86-64 at commit
403ba4140f52b9ea9483e4c775f102bbb9753e51.

I've released Nyxt 2-pre-release-4 a few days ago and I've used it to
build the Guix pack, so your feedback is surprising.

Or is it a reproducibility issue?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+v2qUSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x//C4IAKEggPFLkQ6Bfdxew7ZWwqzWOaC73xrJ
+h9ts2jUlyMnlE55JWo/Fm2McPTF2TsdMwAiu+WOKlyQ9/WK8vrY0gn0C6HwarPn
0ab5sGooFdV9zaAbw6REq5nKGKEfGBew6Akw4kF+q61tQWKvdPN1Zl4fW5shsC6L
S+3VBSqTVtT2a08q/TdiH9jn7efXpn63BiO9jN2pfoUMUvMRuADTDStojrCmazGl
oxGvy4ljHESdiHpNUlzs6Y9qpHjdpK+Wlgd080i0OBeP1LO8mIt8NpcWkTzu4dE/
OzUl8EX7fa6QtVeNLk5khj7YKUiSIw4PSDP29hOyy63ldsocGqKd6nY=
=++Te
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 13:19:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 08:19:15 2020
Received: from localhost ([127.0.0.1]:50091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdvSV-0004Ol-56
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 08:19:15 -0500
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:34865)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdvSS-0004OU-IB
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 08:19:14 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 739DFE0005;
 Sat, 14 Nov 2020 13:19:05 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87lff46v32.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
Date: Sat, 14 Nov 2020 14:19:04 +0100
Message-ID: <87sg9cxeif.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hey Tobias, Always good to have someone actually test the
 stuff :) Tobias Geerinckx-Rice <me@HIDDEN> writes: 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.196 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hey Tobias, Always good to have someone actually test the
   stuff :) Tobias Geerinckx-Rice <me@HIDDEN> writes: 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.196 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hey Tobias,

Always good to have someone actually test the stuff :)

Tobias Geerinckx-Rice <me@HIDDEN> writes:

> So far this looks like an (SB)CL(-specific) bug, right?  Does it=20
> happen anywhere else?  I tried Guile[0].

Maybe there was a misunderstanding, it's not about Common Lisp.
We can do easier than from Guile, i.e. from a shell:

=2D-8<---------------cut here---------------start------------->8---
echo '(display "hello")' | guix repl
=2D-8<---------------cut here---------------end--------------->8---

and... it works! O.o

OK, my bad then, I mistested somehow.

For future reference, it's also works in Common Lisp:

=2D-8<---------------cut here---------------start------------->8---
> (with-input-from-string (s "(display \"foo\\n\")")
           (uiop:run-program '("guix" "repl") :input s :output t :error-out=
put nil))
GNU Guile 3.0.4
Copyright (C) 1995-2020 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
foo

=2D-8<---------------cut here---------------end--------------->8---

However this brings me to another issue: the program output is prefixed
with the REPL welcome message which is printed to stdout.

So ideally when we read from standard input we should not include the
welcome message.

Any clue how to do that?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+v2UgSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/4doIAJOurTKsYV/B3o17og/F/BjBrK5AJiJS
a8bLUcP1Q8Y8C0LDWV4ZLDpdVFS8PFNTReo+HukAYqpT3Fv6weUAPoyzIsjgPh9b
HWizwxE94g5dbF93VQbk7ep0F9YM5TYqVGbKrKwTJF/i+TtycKgnkKmGI4SDRYnl
1GME1na6hJtawkM7FQYjCs0L6N4IJEEIyPGzqJUcvjknx1Z1rlp4krBVJub0KBi/
wYLIYU6YBtWwbvNauxhYmPCO3yzbahMwSBdWYAVkWw/q6ElOPOrPYgVFAfsZReil
hnXIBgJAn0zb3kAX9GHU5ND17LwAjEn1MfN5hnJkKiCfoF7B8mGTAIA=
=Hooa
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 13:19:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 08:19:18 2020
Received: from localhost ([127.0.0.1]:50094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdvSY-0004P0-Cr
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 08:19:18 -0500
Received: from lists.gnu.org ([209.51.188.17]:55818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdvSX-0004Ou-FZ
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 08:19:17 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:56974)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdvSV-0002JE-Fp
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 08:19:17 -0500
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:53955)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdvSQ-0007fj-JL
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 08:19:12 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 739DFE0005;
 Sat, 14 Nov 2020 13:19:05 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87lff46v32.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN> <87lff46v32.fsf@nckx>
Date: Sat, 14 Nov 2020 14:19:04 +0100
Message-ID: <87sg9cxeif.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=217.70.183.196; envelope-from=mail@HIDDEN;
 helo=relay4-d.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/14 08:19:06
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: 6
X-Spam_score: 0.6
X-Spam_bar: /
X-Spam_report: (0.6 / 5.0 requ) BAYES_00=-1.9, FROM_SUSPICIOUS_NTLD=0.5,
 PDS_OTHER_BAD_TLD=1.999, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hey Tobias,

Always good to have someone actually test the stuff :)

Tobias Geerinckx-Rice <me@HIDDEN> writes:

> So far this looks like an (SB)CL(-specific) bug, right?  Does it=20
> happen anywhere else?  I tried Guile[0].

Maybe there was a misunderstanding, it's not about Common Lisp.
We can do easier than from Guile, i.e. from a shell:

=2D-8<---------------cut here---------------start------------->8---
echo '(display "hello")' | guix repl
=2D-8<---------------cut here---------------end--------------->8---

and... it works! O.o

OK, my bad then, I mistested somehow.

For future reference, it's also works in Common Lisp:

=2D-8<---------------cut here---------------start------------->8---
> (with-input-from-string (s "(display \"foo\\n\")")
           (uiop:run-program '("guix" "repl") :input s :output t :error-out=
put nil))
GNU Guile 3.0.4
Copyright (C) 1995-2020 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
foo

=2D-8<---------------cut here---------------end--------------->8---

However this brings me to another issue: the program output is prefixed
with the REPL welcome message which is printed to stdout.

So ideally when we read from standard input we should not include the
welcome message.

Any clue how to do that?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+v2UgSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/4doIAJOurTKsYV/B3o17og/F/BjBrK5AJiJS
a8bLUcP1Q8Y8C0LDWV4ZLDpdVFS8PFNTReo+HukAYqpT3Fv6weUAPoyzIsjgPh9b
HWizwxE94g5dbF93VQbk7ep0F9YM5TYqVGbKrKwTJF/i+TtycKgnkKmGI4SDRYnl
1GME1na6hJtawkM7FQYjCs0L6N4IJEEIyPGzqJUcvjknx1Z1rlp4krBVJub0KBi/
wYLIYU6YBtWwbvNauxhYmPCO3yzbahMwSBdWYAVkWw/q6ElOPOrPYgVFAfsZReil
hnXIBgJAn0zb3kAX9GHU5ND17LwAjEn1MfN5hnJkKiCfoF7B8mGTAIA=
=Hooa
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 11:23:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 06:23:20 2020
Received: from localhost ([127.0.0.1]:49868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdteK-0007jF-Sx
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 06:23:20 -0500
Received: from tobias.gr ([80.241.217.52]:57060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdteI-0007j5-9d
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 06:23:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=YVtfD/cArj2Tpdcc6lAYHTCa5rv0XMn6R3lvYvmu9/8=; h=date:in-reply-to:
 references:subject:cc:to:from; b=a9hSFvAD+jgvR/O5yXufKmJQ8QDY+AdHfz/rP
 CpsEIq4fjVV96HWPaNWA9sTiVPtwBIENdH4LtKu9JYB+nOrMrJ2TOlCs86uMjmudD6gLx/
 xILOM9Xbhvty/8NT43ilHG071u4ligOLEL+aD5bMivt8f2b7q2JP0XxtW9eJuqGUflOBJl
 ejVgoq4eLQcMPUw/EgLGLJCGAJEssjg6XGhdTjsG6R+xsV4l33weJOlbOmdeowpDInfxQU
 24XxDkGdwS7MRb7Pry+vtsaAhNOAp7yCWEbrpKU6rgTMFT+s00te4mFbZWPVp6ROSWORxp
 ZEEti1RYy8tpm5Q920/QLIWsQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 5a24b7e5
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 11:23:21 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN>
In-reply-to: <87h7ps8duy.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 12:23:13 +0100
Message-ID: <87lff46v32.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre,

So far this looks like an (SB)CL(-specific) bug, right?  Does it=20
happen anywhere else?  I tried Guile[0].

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> It does not work now, I haven't looked at the details.

Please do.

To =E2=80=98it does not work=E2=80=99 I can reply only that Nyxt doesn't bu=
ild=20
[log attached] on current master & that learning Common Lisp by=20
putting random text into SBCL doesn't work :-)

Kind regards,

T G-R

[0]:
(use-modules ((ice-9 popen)))
(let ((g (open-output-pipe "guix repl")))
  ;; XXX The Guile prompt after each input line is ugly.
  (display "(use-modules ((guix))) (%store-prefix)" g)
  (close-pipe g))


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=nyxt.log
Content-Transfer-Encoding: base64
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==
--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX6++IQ0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15nbMA/jWBMzKDRoHZr+z97Aq86/NGDc897MdhR+fTLStn
doE0AP9QgcVZZrIi8Pq4NAPL5ZExF2MIRofRwvFyfUr7uKSdCA==
=uSB/
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 11:23:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 06:23:25 2020
Received: from localhost ([127.0.0.1]:49869 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdteO-0007jY-VT
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 06:23:24 -0500
Received: from lists.gnu.org ([209.51.188.17]:41970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdteN-0007jQ-S4
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 06:23:23 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:37664)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdteN-0002Nk-L6
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 06:23:23 -0500
Received: from tobias.gr ([2a02:c205:2020:6054::1]:38874)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdteK-0000gJ-Bv
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 06:23:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=YVtfD/cArj2Tpdcc6lAYHTCa5rv0XMn6R3lvYvmu9/8=; h=date:in-reply-to:
 references:subject:cc:to:from; b=a9hSFvAD+jgvR/O5yXufKmJQ8QDY+AdHfz/rP
 CpsEIq4fjVV96HWPaNWA9sTiVPtwBIENdH4LtKu9JYB+nOrMrJ2TOlCs86uMjmudD6gLx/
 xILOM9Xbhvty/8NT43ilHG071u4ligOLEL+aD5bMivt8f2b7q2JP0XxtW9eJuqGUflOBJl
 ejVgoq4eLQcMPUw/EgLGLJCGAJEssjg6XGhdTjsG6R+xsV4l33weJOlbOmdeowpDInfxQU
 24XxDkGdwS7MRb7Pry+vtsaAhNOAp7yCWEbrpKU6rgTMFT+s00te4mFbZWPVp6ROSWORxp
 ZEEti1RYy8tpm5Q920/QLIWsQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 5a24b7e5
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Nov 2020 11:23:21 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
 <87h7ps8duy.fsf@HIDDEN>
In-reply-to: <87h7ps8duy.fsf@HIDDEN>
Date: Sat, 14 Nov 2020 12:23:13 +0100
Message-ID: <87lff46v32.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre,

So far this looks like an (SB)CL(-specific) bug, right?  Does it=20
happen anywhere else?  I tried Guile[0].

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> It does not work now, I haven't looked at the details.

Please do.

To =E2=80=98it does not work=E2=80=99 I can reply only that Nyxt doesn't bu=
ild=20
[log attached] on current master & that learning Common Lisp by=20
putting random text into SBCL doesn't work :-)

Kind regards,

T G-R

[0]:
(use-modules ((ice-9 popen)))
(let ((g (open-output-pipe "guix repl")))
  ;; XXX The Guile prompt after each input line is ugly.
  (display "(use-modules ((guix))) (%store-prefix)" g)
  (close-pipe g))


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=nyxt.log
Content-Transfer-Encoding: base64
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==
--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX6++IQ0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15nbMA/jWBMzKDRoHZr+z97Aq86/NGDc897MdhR+fTLStn
doE0AP9QgcVZZrIi8Pq4NAPL5ZExF2MIRofRwvFyfUr7uKSdCA==
=uSB/
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 14 Nov 2020 09:52:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 04:52:31 2020
Received: from localhost ([127.0.0.1]:49766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdsEQ-0003Mo-Ph
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 04:52:31 -0500
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:48333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdsEO-0003MR-Op
 for 44612 <at> debbugs.gnu.org; Sat, 14 Nov 2020 04:52:29 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 2F8CDE0008;
 Sat, 14 Nov 2020 09:52:21 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87zh3l6lzk.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
Date: Sat, 14 Nov 2020 10:52:21 +0100
Message-ID: <87h7ps8duy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Tobias Geerinckx-Rice <me@HIDDEN> writes: > A magic ‘-’
    alias is nice, providing ‘guix repl -- -’ still DTRT > (I know, who does
    that, but still). > > But why can't you just pipe your input into ‘guix
    repl’ now? 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.196 listed in wl.mailspike.net]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Tobias Geerinckx-Rice <me@HIDDEN> writes: > A magic ‘-’
    alias is nice, providing ‘guix repl -- -’ still DTRT > (I know, who does
    that, but still). > > But why can't you just pipe your input into ‘guix
    repl’ now? 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.196 listed in wl.mailspike.net]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice <me@HIDDEN> writes:

> A magic =E2=80=98-=E2=80=99 alias is nice, providing =E2=80=98guix repl -=
- -=E2=80=99 still DTRT=20
> (I know, who does that, but still).
>
> But why can't you just pipe your input into =E2=80=98guix repl=E2=80=99 n=
ow?

It does not work now, I haven't looked at the details.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+vqNUSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/rhYH/jghbX/Lcx5vPq8bgKQGjS1/HmoKPZoX
gM1VIM7qYre8v6Qb9hNRdTwor1N/noG++gMtbCH09x7GRX+hVcO7WzAo0jhszpbR
kbtuNrSnMPquU6AKexXfLuwDuKgdICAzS8vjl2xJNSkWTtC9hcG/NbUqiR40e20u
NMn4Nw5n1s+m7mByXCIShOLh3KJ2rMhaXYuvkVAN5YXrkBlXcqkl9FOB7ZDNr2Io
diuydEnEYdCQ9hjgUOZi/aiu5G13mtgoK736e4HqVdlpwqIKP8bLdobkI0svjaTJ
m4mewpUEljLwccfAs0/WigYh5fBHRssvOaxfmzK7altjUWMv1oHe/s8=
=M4Hy
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2020 09:52:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 04:52:30 2020
Received: from localhost ([127.0.0.1]:49764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdsEQ-0003Ml-Fy
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 04:52:30 -0500
Received: from lists.gnu.org ([209.51.188.17]:54616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdsEN-0003MW-MS
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 04:52:28 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:47774)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdsEN-0007WL-Dn
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 04:52:27 -0500
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:41877)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdsEL-0001fT-Ix
 for bug-guix@HIDDEN; Sat, 14 Nov 2020 04:52:27 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 2F8CDE0008;
 Sat, 14 Nov 2020 09:52:21 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <87zh3l6lzk.fsf@nckx>
References: <87h7ptzj8t.fsf@HIDDEN> <87zh3l6lzk.fsf@nckx>
Date: Sat, 14 Nov 2020 10:52:21 +0100
Message-ID: <87h7ps8duy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=217.70.183.196; envelope-from=mail@HIDDEN;
 helo=relay4-d.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/14 04:52:23
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: 6
X-Spam_score: 0.6
X-Spam_bar: /
X-Spam_report: (0.6 / 5.0 requ) BAYES_00=-1.9, FROM_SUSPICIOUS_NTLD=0.499,
 PDS_OTHER_BAD_TLD=1.999, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice <me@HIDDEN> writes:

> A magic =E2=80=98-=E2=80=99 alias is nice, providing =E2=80=98guix repl -=
- -=E2=80=99 still DTRT=20
> (I know, who does that, but still).
>
> But why can't you just pipe your input into =E2=80=98guix repl=E2=80=99 n=
ow?

It does not work now, I haven't looked at the details.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+vqNUSHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/rhYH/jghbX/Lcx5vPq8bgKQGjS1/HmoKPZoX
gM1VIM7qYre8v6Qb9hNRdTwor1N/noG++gMtbCH09x7GRX+hVcO7WzAo0jhszpbR
kbtuNrSnMPquU6AKexXfLuwDuKgdICAzS8vjl2xJNSkWTtC9hcG/NbUqiR40e20u
NMn4Nw5n1s+m7mByXCIShOLh3KJ2rMhaXYuvkVAN5YXrkBlXcqkl9FOB7ZDNr2Io
diuydEnEYdCQ9hjgUOZi/aiu5G13mtgoK736e4HqVdlpwqIKP8bLdobkI0svjaTJ
m4mewpUEljLwccfAs0/WigYh5fBHRssvOaxfmzK7altjUWMv1oHe/s8=
=M4Hy
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 13 Nov 2020 22:26:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 13 17:26:26 2020
Received: from localhost ([127.0.0.1]:49491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdhWU-0003qD-A6
	for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 17:26:26 -0500
Received: from mail-wm1-f44.google.com ([209.85.128.44]:37290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kdhWQ-0003py-Ro
 for 44612 <at> debbugs.gnu.org; Fri, 13 Nov 2020 17:26:25 -0500
Received: by mail-wm1-f44.google.com with SMTP id c16so12181465wmd.2
 for <44612 <at> debbugs.gnu.org>; Fri, 13 Nov 2020 14:26:22 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=KEL5AkuCzKyjDpJyL4CDJXtq9XxUIsJQXE0AJoPVuuo=;
 b=NlfWi1MQdDZccPEfSXjnYzrgQupm+J0jg6l6225ZFBOPn0TWSmNzZpMU5uWPxtCc5T
 T7mNvcTkhAf3i3MBx5wfOUUkBiNPxUCSsRjpEcsRGAGlRtxxUNdDCrUkqiuJMpEKxkDp
 3h1Q7l3O7V/XnyPQ1oLhHRdfj6lxe6Y/IPUHNs4VvH5qOcLBMfQQLRGilj9wvqAhsJTA
 OA9fJlolC1GL5GXXKY6JKw2V8YfOWpxpCPuVXkzsjiXuDINZ7rhIWNpWOLdvKzJvJEbj
 2IzzXFxya5jSejrF0n7axArIIx045s2lXQNi+HTvZxIagw38q3ZW9GlFUj3MXNOC0Ag5
 MkxQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=KEL5AkuCzKyjDpJyL4CDJXtq9XxUIsJQXE0AJoPVuuo=;
 b=krgnTRlbtZE9Ycom9/iiHROcReGjc+9oe5+WpWEdXJ9yXOIOQEPwEhCWhuR1LgOCoL
 jYW7khy2JepDu0R2LcgHmUNaOPDIbJ63uUjEpCPLNm0+y2CmKqlzRMyJwKJePWKAeolk
 R/9PuS5uxKb5whh0i3fQZR2ifepAHWBRHG2xiC1JBeIpFxwiU0lvp4gBVmcZvmnjczBq
 qIvqrnmsGauSzFGA+ZKOEIAHunh+eO9M3911S/UMHQwyWa+p6JQ8BsDtVm/eSPJz47XG
 enKVwWWtQBFGjqmTsPqcHLSV1IO20L2FBcxof6x5+ZaqtAerRBs51iNQOHqssVdk8m1l
 P9Sg==
X-Gm-Message-State: AOAM530U8X8gTMjWaTJ53ltc4PSMcw7icYnKL9WeEBFj+G2hWo7wmhDT
 tviNGZV8drQwPF8lxhpAMUOSRSrIK273YA==
X-Google-Smtp-Source: ABdhPJz8p4b5W7Ak/LbJ/u2RrN90b75FnEQS0FOLZdyYFrPf92v3ci5JB0pWtU++w2ILkH6XiLPXMQ==
X-Received: by 2002:a1c:f312:: with SMTP id q18mr4595862wmq.30.1605306376674; 
 Fri, 13 Nov 2020 14:26:16 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id g20sm11419436wmh.20.2020.11.13.14.26.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 13 Nov 2020 14:26:16 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Bengt Richter <bokr@HIDDEN>, Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
In-Reply-To: <20201113190830.GA2995@LionPure>
References: <87h7ptzj8t.fsf@HIDDEN> <20201113190830.GA2995@LionPure>
Date: Fri, 13 Nov 2020 23:24:26 +0100
Message-ID: <86mtzkdhet.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Dear, On Fri, 13 Nov 2020 at 20:08, Bengt Richter wrote: >
 Would this enable people to type something like > wget -O -
 http:try.this.for.example.com/fun.mischief|guix
 repl - > and if so,
 can you suggest some options for automatic hash or signature
 > checkin [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (zimon.toutoune[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.44 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 URI_TRY_3LD            URI: "Try it" URI, suspicious hostname
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.44 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 44612
Cc: 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Dear,

On Fri, 13 Nov 2020 at 20:08, Bengt Richter <bokr@HIDDEN> wrote:

> Would this enable people to type something like
>     wget -O - http:try.this.for.example.com/fun.mischief|guix repl -
> and if so, can you suggest some options for automatic hash or signature
> checking so that a paranoid could feel safe using a file pointed to
> by a friend?=20

How is it different to:

   cat file | guix repl
or
   guix repl -- file

?  =C2=AB Stupid is as stupid does, sir. =C2=BB  Well, it is hard nor impos=
sible
to prevent people to shoot themselves in their foot if they really want
to.  Somehow.


For instance,

--8<---------------cut here---------------start------------->8---
$ cat /tmp/foo.scm | guix repl
GNU Guile 3.0.4
Copyright (C) 1995-2020 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
name: hello
version: 2.10
outputs: out
systems: x86_64-linux i686-linux
dependencies:=20
location: gnu/packages/base.scm:74:2
homepage: https://www.gnu.org/software/hello/
license: GPL 3+
synopsis: Hello, GNU world: An example GNU package=20=20
description: GNU Hello prints the message "Hello, world!" and then exits.  =
It serves as an example of standard GNU coding practices.  As such, it supp=
orts command-line arguments, multiple languages, and so on.

$1 =3D #t
scheme@(guix-user)>=20
$ cat /tmp/foo.scm
(use-modules (gnu packages base)
             (guix scripts show))

(guix-show "hello")
--8<---------------cut here---------------end--------------->8---

All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 13 Nov 2020 20:27:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 13 15:27:31 2020
Received: from localhost ([127.0.0.1]:49389 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdffP-0007Mv-CZ
	for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 15:27:31 -0500
Received: from tobias.gr ([80.241.217.52]:39500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdffO-0007Mn-4C
 for 44612 <at> debbugs.gnu.org; Fri, 13 Nov 2020 15:27:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=XF1aI6aYZggsc++QA/o3apPGd+H+psOwuDg89Jyks+c=; h=date:in-reply-to:
 references:subject:cc:to:from; b=e2Iodqwf3LJSbChypAK55QnISt3t57wQKu3Sv
 I5CH4OPLU1/D6X4wgtk0jmKolKdqysuQHpbuKjn5Q7qQjHh/PdLq3dHyz7DWQb3ohzctvN
 zsO6bQffE9vPySNphxHn5bWMoeZQ//YOAAM3fqWNHY2yP4bn4G+D3WCabyBZIpx4qlUcA2
 /WoFmZ2RQZfhW6xLYqs4eCCky0h5oSzVxIx95zLGIlFHPkYPEXvdicH2SYgv3EA75rZ7bB
 Po68CIiGZ2GJCcSVj2yGETd9xEdg3EuOKOOLpa6PCLgf7aNfA6095HjL0yMQWuDjkZKE/L
 vKjhFL88WXRO5l+pWyUh9jtyw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 52e1c74a
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Fri, 13 Nov 2020 20:27:34 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN>
In-reply-to: <87h7ptzj8t.fsf@HIDDEN>
Message-ID: <87zh3l6lzk.fsf@nckx>
Date: Fri, 13 Nov 2020 21:27:28 +0100
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44612
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre,

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> The only issue is that it needs to be passed a file, so I must=20
> create a
> temporary file so that I can call `guix repl` on it.

A magic =E2=80=98-=E2=80=99 alias is nice, providing =E2=80=98guix repl -- =
-=E2=80=99 still DTRT=20
(I know, who does that, but still).

But why can't you just pipe your input into =E2=80=98guix repl=E2=80=99 now?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX67sMA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15Q2YA/3YpeSHPHYycEc3+bKNQMLT3CBsuUk8mxyfxTqxN
+9YBAQCZa5lpd7R+fQYMwSMuHDYZZ7MkVtqKv3G+Xtdn571dBA==
=LeBG
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Nov 2020 20:27:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 13 15:27:38 2020
Received: from localhost ([127.0.0.1]:49392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdffW-0007NG-Kj
	for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 15:27:38 -0500
Received: from lists.gnu.org ([209.51.188.17]:59588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kdffV-0007N8-62
 for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 15:27:37 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:44864)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdffV-0000Ol-0K
 for bug-guix@HIDDEN; Fri, 13 Nov 2020 15:27:37 -0500
Received: from tobias.gr ([2a02:c205:2020:6054::1]:49546)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kdffP-0007oP-OM
 for bug-guix@HIDDEN; Fri, 13 Nov 2020 15:27:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=XF1aI6aYZggsc++QA/o3apPGd+H+psOwuDg89Jyks+c=; h=date:in-reply-to:
 references:subject:cc:to:from; b=e2Iodqwf3LJSbChypAK55QnISt3t57wQKu3Sv
 I5CH4OPLU1/D6X4wgtk0jmKolKdqysuQHpbuKjn5Q7qQjHh/PdLq3dHyz7DWQb3ohzctvN
 zsO6bQffE9vPySNphxHn5bWMoeZQ//YOAAM3fqWNHY2yP4bn4G+D3WCabyBZIpx4qlUcA2
 /WoFmZ2RQZfhW6xLYqs4eCCky0h5oSzVxIx95zLGIlFHPkYPEXvdicH2SYgv3EA75rZ7bB
 Po68CIiGZ2GJCcSVj2yGETd9xEdg3EuOKOOLpa6PCLgf7aNfA6095HjL0yMQWuDjkZKE/L
 vKjhFL88WXRO5l+pWyUh9jtyw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 52e1c74a
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Fri, 13 Nov 2020 20:27:34 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
References: <87h7ptzj8t.fsf@HIDDEN>
In-reply-to: <87h7ptzj8t.fsf@HIDDEN>
Message-ID: <87zh3l6lzk.fsf@nckx>
Date: Fri, 13 Nov 2020 21:27:28 +0100
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre,

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> The only issue is that it needs to be passed a file, so I must=20
> create a
> temporary file so that I can call `guix repl` on it.

A magic =E2=80=98-=E2=80=99 alias is nice, providing =E2=80=98guix repl -- =
-=E2=80=99 still DTRT=20
(I know, who does that, but still).

But why can't you just pipe your input into =E2=80=98guix repl=E2=80=99 now?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX67sMA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15Q2YA/3YpeSHPHYycEc3+bKNQMLT3CBsuUk8mxyfxTqxN
+9YBAQCZa5lpd7R+fQYMwSMuHDYZZ7MkVtqKv3G+Xtdn571dBA==
=LeBG
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at 44612 <at> debbugs.gnu.org:


Received: (at 44612) by debbugs.gnu.org; 13 Nov 2020 19:08:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 13 14:08:47 2020
Received: from localhost ([127.0.0.1]:49355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdeRD-0003Jb-Ac
	for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 14:08:47 -0500
Received: from imta-38.everyone.net ([216.200.145.38]:39920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bokr@HIDDEN>) id 1kdeRB-0003JS-3s
 for 44612 <at> debbugs.gnu.org; Fri, 13 Nov 2020 14:08:46 -0500
Received: from pps.filterd (omta003.sj2.proofpoint.com [127.0.0.1])
 by imta-38.everyone.net (8.16.0.43/8.16.0.43) with SMTP id 0ADJ3XGo009649;
 Fri, 13 Nov 2020 11:08:41 -0800
X-Eon-Originating-Account: pJlhn3Oo52uqFzjuKefgTIpEBnsHdJz0LVKjLg3qO4E
X-Eon-Dm: m0116293.ppops.net
Received: by m0116293.mta.everyone.net (EON-AUTHRELAY2 - 5a81d37d)
 id m0116293.5f8a0270.49e42a; Fri, 13 Nov 2020 11:08:39 -0800
X-Eon-Sig: AQMHrIJfrtm3hTU9hwIAAAAC,e9daf5eae201bd50a0c3fbd3792ce9ba
X-Eip: xHPpAksFyr-34p-k0eiM0RPZelzGhecmn2oTH2p0oQE
Date: Fri, 13 Nov 2020 20:08:30 +0100
From: Bengt Richter <bokr@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#44612: Read standard input in `guix repl'
Message-ID: <20201113190830.GA2995@LionPure>
References: <87h7ptzj8t.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <87h7ptzj8t.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.312, 18.0.737
 definitions=2020-11-13_17:2020-11-13,
 2020-11-13 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 bulkscore=0
 impostorscore=0
 malwarescore=0 mlxlogscore=651 adultscore=0 phishscore=0 mlxscore=0
 suspectscore=0 clxscore=1034 lowpriorityscore=0 priorityscore=1501
 spamscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2011130123
X-Spam-Score: 3.5 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Pierre, On +2020-11-13 10:41:38 +0100, Pierre Neidhardt
 wrote: > `guix repl` is a fantastic, hassle-free tool to bind Guix with >
 third-party languages. I've done it here: > > https://github.com/atlas-enginee
 [...] Content analysis details:   (3.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [216.200.145.38 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [216.200.145.38 listed in wl.mailspike.net]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 URI_TRY_3LD            URI: "Try it" URI, suspicious hostname
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 44612
Cc: 44612 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Bengt Richter <bokr@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi Pierre, On +2020-11-13 10:41:38 +0100, Pierre Neidhardt
    wrote: > `guix repl` is a fantastic, hassle-free tool to bind Guix with >
    third-party languages. I've done it here: > > https://github.com/atlas-enginee
    [...] 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [216.200.145.38 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [216.200.145.38 listed in list.dnswl.org]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.0 URI_TRY_3LD            URI: "Try it" URI, suspicious hostname
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

Hi Pierre,

On +2020-11-13 10:41:38 +0100, Pierre Neidhardt wrote:
> `guix repl` is a fantastic, hassle-free tool to bind Guix with
> third-party languages.  I've done it here:
> 
> https://github.com/atlas-engineer/nyxt/blob/2-pre-release-4/libraries/ospama/ospama-guix.lisp
> 
> It just works!
> 
> The only issue is that it needs to be passed a file, so I must create a
> temporary file so that I can call `guix repl` on it.
> 
> It'd be better if we could send Guile code to the standard input of the
> `guix repl -` process to bypass file generation.
> 
> Thoughts?
>

Would this enable people to type something like
    wget -O - http:try.this.for.example.com/fun.mischief|guix repl -
and if so, can you suggest some options for automatic hash or signature
checking so that a paranoid could feel safe using a file pointed to
by a friend? 

(I know one can already do silly stuff ... :)

I was hoping for a concise option that would enable a standard way of doing
integrity/trust checks by the stdin bufferful within guix. (Which I guess implies
designing fun.mischief file syntax as some kind of container packet stream, with
individually verifiable packets -- what would that mean for input to guix repl?). 

Maybe a --paranoid option at the level of --dry-run or -n ?
(maybe configurable as default --paranoid=on :)

As far as avoiding file generation, a pipeline that needs file-size chunks to do
validation checks would only avoid file inode supply limits, right?
I guess YMMV per platform? IPC also has supply limits, IIRC.

Hm, what about an option for guix like
   guix  --trust-manifest="file-containing-sufficient-verification-info-for-what-happens-next" repl -
meaning e.g., sha256sum value for what would be passed via '-' and if that contains references
to other files etc., than hashes or signatures etc for everything entailed.

> -- 
> Pierre Neidhardt
> https://ambrevar.xyz/

-- 
Regards,
Bengt Richter




Information forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Nov 2020 09:41:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 13 04:41:49 2020
Received: from localhost ([127.0.0.1]:46651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdVaX-0007cm-0i
	for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 04:41:49 -0500
Received: from lists.gnu.org ([209.51.188.17]:36614)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kdVaT-0007cd-K0
 for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 04:41:48 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52818)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdVaT-0001ao-Cu
 for bug-guix@HIDDEN; Fri, 13 Nov 2020 04:41:45 -0500
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:39223)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kdVaR-0007gu-5X
 for bug-guix@HIDDEN; Fri, 13 Nov 2020 04:41:45 -0500
X-Originating-IP: 90.92.160.122
Received: from bababa (lfbn-idf2-1-1094-122.w90-92.abo.wanadoo.fr
 [90.92.160.122]) (Authenticated sender: mail@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 4837C60010
 for <bug-guix@HIDDEN>; Fri, 13 Nov 2020 09:41:38 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: bug-guix@HIDDEN
Subject: Read standard input in `guix repl'
Date: Fri, 13 Nov 2020 10:41:38 +0100
Message-ID: <87h7ptzj8t.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=217.70.183.195; envelope-from=mail@HIDDEN;
 helo=relay3-d.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/13 04:41:39
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: 26
X-Spam_score: 2.6
X-Spam_bar: ++
X-Spam_report: (2.6 / 5.0 requ) BAYES_00=-1.9, FROM_SUSPICIOUS_NTLD=0.499,
 FROM_SUSPICIOUS_NTLD_FP=1.999, PDS_OTHER_BAD_TLD=1.999,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  `guix repl` is a fantastic, hassle-free tool to bind Guix
 with third-party languages. I've done it here:
 https://github.com/atlas-engineer/nyxt/blob/2-pre-release-4/libraries/ospama/ospama-guix.lisp
 It just works! 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 2.0 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

`guix repl` is a fantastic, hassle-free tool to bind Guix with
third-party languages.  I've done it here:

https://github.com/atlas-engineer/nyxt/blob/2-pre-release-4/libraries/ospam=
a/ospama-guix.lisp

It just works!

The only issue is that it needs to be passed a file, so I must create a
temporary file so that I can call `guix repl` on it.

It'd be better if we could send Guile code to the standard input of the
`guix repl -` process to bypass file generation.

Thoughts?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFGBAEBCAAwFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl+uVNISHG1haWxAYW1i
cmV2YXIueHl6AAoJEJvc9Jeku8x/V7kH/2E/kYNnzILWkQmj5n1T4jeWj/FIVwxu
0w88U3S459RMFI9Wrav+8ZXxlqoL3W+OTQVngJpc+eym0wBCnkQl6c7RrnrFINct
luyOyTLgD6l5iPu+ZssLdD0vyLYjXikRjQtwzDjO0Ls+kQc7tVtRm4Whq+XVW5XJ
3kPqNmJV5P5LkpZJFXE5T5qtxwt1/U7kGztsF7f5tT8O+xuRkGvcRCrkVWytqfy8
WHL+ZL+y+yl2iUZsvUelHHB8Q2FG5/QJ9Lpq3XeTUss4rj+2HdxpgBxXVKLetmwC
EchSnK45CYIPWxAWmq/ogo6dkPznrILnN/oVyN6+vIRnd5CVet06ASM=
=vLIL
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Pierre Neidhardt <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#44612; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 3 Dec 2020 10:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.